---
layout: blog
week: 106
published: 2017-05-09 08:05:45
---

Here's what happened in the [Reproducible Builds](https://reproducible-builds.org) effort between Sunday April 30 and Saturday May 6 2017:

Past and upcoming events
------------------------

Between May 5th-7th the [Reproducible Builds Hackathon
2017](https://wiki.debian.org/ReproducibleBuilds/HamburgHackathon2017) took
place in Hamburg, Germany.

On May 6th Mattia Rizzolo gave a talk on Reproducible Builds at
[DUCC-IT 17](https://ducc.it) in Vicenza, Italy.

On May 13th Chris Lamb will give a talk on Reproducible Builds at [OSCAL 2017](https://oscal.openlabs.cc/) in Tirana, Albania.

Media coverage
--------------

- Gunnar Wolf published an article in Spanish entitled "[Construcciones Reproducibles](https://sg.com.mx/revista/54/construcciones-reproducibles)".

Toolchain development and fixes
-------------------------------

- Ximin [updated his R patch](https://stat.ethz.ch/pipermail/r-devel/2017-May/074181.html) to fix a few FTBFS and now we have 463/478 reproducible R packages. For more details, see his <a href="posts/reproducing-r-packages">detailed write-up</a> on this blog.

- Holger rebuilt `dpkg`, `gcc-6` and `r-base` for our [experimental toolchain](https://wiki.debian.org/ReproducibleBuilds/ExperimentalToolchain) for `unstable` on `arm64`, `i386` and `armhf`.

Packages reviewed and fixed, and bugs filed
-------------------------------------------

Chris Lamb:

* [#861608](https://bugs.debian.org/861608) filed against [sbt](https://tracker.debian.org/pkg/sbt).
* [#861672](https://bugs.debian.org/861672) filed against [libwibble](https://tracker.debian.org/pkg/libwibble).
* [#861756](https://bugs.debian.org/861756) filed against [pd-pdstring](https://tracker.debian.org/pkg/pd-pdstring).
* [#861770](https://bugs.debian.org/861770) filed against [fbreader](https://tracker.debian.org/pkg/fbreader).
* [#861773](https://bugs.debian.org/861773) filed against [armagetronad](https://tracker.debian.org/pkg/armagetronad).
* [#861893](https://bugs.debian.org/861893) filed against [ironic](https://tracker.debian.org/pkg/ironic).
* [#861896](https://bugs.debian.org/861896) filed against [manila](https://tracker.debian.org/pkg/manila).
* [#861955](https://bugs.debian.org/861955) filed against [canna](https://tracker.debian.org/pkg/canna).


Reviews of unreproducible packages
----------------------------------

93 package reviews have been added, 12 have been updated and 98 have been removed in this week,
adding to our knowledge about [identified issues](https://tests.reproducible-builds.org/debian/index_issues.html).

The following issues have been added:

- [timestamps\_in\_cbd\_files\_generated\_by\_canna\_mkbindic toolchain issue.](https://salsa.debian.org/reproducible-builds/reproducible-notes/commit/abfa6b45)
- [timestamps\_in\_manpages\_created\_by\_libwibble toolchain issue](https://salsa.debian.org/reproducible-builds/reproducible-notes/commit/915c7e79)

2 issue types have been updated:

- [Add patch for timestamps\_in\_manpages\_created\_by\_libwibble](https://salsa.debian.org/reproducible-builds/reproducible-notes/commit/5c535556)
- [Add patch for timestamps\_in\_cbd\_files\_generated\_by\_canna\_mkbindic](https://salsa.debian.org/reproducible-builds/reproducible-notes/commit/c6f6500d)


The following issues have been removed:

- [disorderfs\_sensitive](https://salsa.debian.org/reproducible-builds/reproducible-notes/commit/f21a15ad)
- [nondeterministic\_ordering\_in\_desktop\_files\_by\_python\_sugar3](https://salsa.debian.org/reproducible-builds/reproducible-notes/commit/b82e2453)
- [randomness\_in\_swf\_files\_generated\_by\_as3compile](https://salsa.debian.org/reproducible-builds/reproducible-notes/commit/ccdff7bc)
- [valac\_permutes\_get\_type\_calls](https://salsa.debian.org/reproducible-builds/reproducible-notes/commit/68c38e4b)
- [docbook\_to\_man\_one\_byte\_delta](https://salsa.debian.org/reproducible-builds/reproducible-notes/commit/a156620c)
- [ghc\_captures\_build\_path\_via\_tempdir](https://salsa.debian.org/reproducible-builds/reproducible-notes/commit/61624214)
- [dict\_ordering\_in\_python\_alabaster\_sphinx\_theme\_extra\_nav\_links](https://salsa.debian.org/reproducible-builds/reproducible-notes/commit/c864f797)
- [gpg\_keyring\_magic\_bytes\_differ](https://salsa.debian.org/reproducible-builds/reproducible-notes/commit/8ed2c204)
- [varnish\_vmodtool\_random\_file\_id](https://salsa.debian.org/reproducible-builds/reproducible-notes/commit/54e582cc)
- [random\_order\_in\_lua\_version\_substvar](https://salsa.debian.org/reproducible-builds/reproducible-notes/commit/92596dc1)
- [unsorted\_lua\_versions\_in\_control](https://salsa.debian.org/reproducible-builds/reproducible-notes/commit/0c9fae7c)
- [nondeterminstic\_ordering\_in\_gsettings\_glib\_enums\_xml](https://salsa.debian.org/reproducible-builds/reproducible-notes/commit/420323db)
- [random\_order\_in\_init\_py\_generated\_by\_python-genpy](https://salsa.debian.org/reproducible-builds/reproducible-notes/commit/4d1e366f)
- [randomness\_in\_r\_rdb\_rds\_databases](https://salsa.debian.org/reproducible-builds/reproducible-notes/commit/45b0f495)
- [undeterministic\_symlinking\_by\_rdfind](https://salsa.debian.org/reproducible-builds/reproducible-notes/commit/74744bfe)
- [random\_order\_in\_ruby\_rdoc\_indices](https://salsa.debian.org/reproducible-builds/reproducible-notes/commit/fa8634bc)
- [random\_order\_in\_dh\_haskell\_substvars](https://salsa.debian.org/reproducible-builds/reproducible-notes/commit/5aca5731)
- [plist\_weirdness](https://salsa.debian.org/reproducible-builds/reproducible-notes/commit/b3dfadfc)
- [randomness\_in\_python\_setuptools\_install\_files\_txt](https://salsa.debian.org/reproducible-builds/reproducible-notes/commit/0451c5f7)
- [fileorder\_in\_gemspec\_files\_list](https://salsa.debian.org/reproducible-builds/reproducible-notes/commit/fdd05684)
- [timestamps\_in\_pdf\_generated\_by\_reportlab](https://salsa.debian.org/reproducible-builds/reproducible-notes/commit/3c58fd2a)
- [method\_may\_never\_be\_called\_in\_documentation\_generated\_by\_javadoc](https://salsa.debian.org/reproducible-builds/reproducible-notes/commit/70f7cbe5)
- [randomness\_in\_documentation\_generated\_by\_yardoc](https://salsa.debian.org/reproducible-builds/reproducible-notes/commit/a1318b13)
- [random\_ordering\_in\_pom](https://salsa.debian.org/reproducible-builds/reproducible-notes/commit/bec69ada)
- [random\_anchor\_names\_generated\_by\_docbook\_to\_man](https://salsa.debian.org/reproducible-builds/reproducible-notes/commit/bbd07e0f)
- [random\_order\_in\_static\_library\_by\_icmake](https://salsa.debian.org/reproducible-builds/reproducible-notes/commit/df2e9932)
- [ftbfs\_due\_to\_libtool](https://salsa.debian.org/reproducible-builds/reproducible-notes/commit/f42c8c18)
- [postgres\_9.5\_transition](https://salsa.debian.org/reproducible-builds/reproducible-notes/commit/b06b1b08)

Weekly QA work
--------------

During our reproducibility testing, FTBFS bugs have been detected and reported by:

 - Chris Lamb (3)


diffoscope development
----------------------


- Chris Lamb:
  - [Refactor Presenter to a singleton manager](https://salsa.debian.org/reproducible-builds/diffoscope/commit/1e8c1f6)
  - [Drop passing has\_differences around, fixing an issue with generating files called '-'](https://salsa.debian.org/reproducible-builds/diffoscope/commit/32ff05e)
  - [Prevent abstraction-level violation by defining visual diff support on the Presenter classes.](https://salsa.debian.org/reproducible-builds/diffoscope/commit/7b68309)
  - [Split output and configuration of presenters.](https://salsa.debian.org/reproducible-builds/diffoscope/commit/3e8c0c9)
  - [Refactor html and text presenters so they fit the same Presenter interface.](https://salsa.debian.org/reproducible-builds/diffoscope/commit/1671994)


strip-nondeterminism development
--------------------------------


- Bernhard M. Wiedemann:
  - [make get\_normalizer\_by\_name O(1)](https://salsa.debian.org/reproducible-builds/strip-nondeterminism.git/commit/?id=85cfb99)
  - [only call get\_normalizer\_by\_name once](https://salsa.debian.org/reproducible-builds/strip-nondeterminism.git/commit/?id=8571c7b)


-----

This week's edition was written by Chris Lamb, Holger Levsen and Ximin Luo & reviewed by a bunch of Reproducible Builds folks on IRC & the mailing lists.
