---
layout: blog
week: 116
published: 2017-07-18 07:07:39
---

Here's what happened in the [Reproducible Builds](https://reproducible-builds.org) effort between Sunday July 9 and Saturday July 15 2017:

Packages reviewed and fixed, and bugs filed
-------------------------------------------

* Adrian Bunk:
  * [#867771](https://bugs.debian.org/867771) filed against [python-trollius](https://tracker.debian.org/pkg/python-trollius).
  * [#867773](https://bugs.debian.org/867773) filed against [relatorio](https://tracker.debian.org/pkg/relatorio).
  * [#867781](https://bugs.debian.org/867781) filed against [gcin](https://tracker.debian.org/pkg/gcin).
  * [#867890](https://bugs.debian.org/867890) filed against [apache-directory-jdbm](https://tracker.debian.org/pkg/apache-directory-jdbm).
  * [#867900](https://bugs.debian.org/867900) filed against [yapsy](https://tracker.debian.org/pkg/yapsy).
  * [#867906](https://bugs.debian.org/867906) filed against [wcsaxes](https://tracker.debian.org/pkg/wcsaxes).

* Chris Lamb:
  * [#867753](https://bugs.debian.org/867753) filed against [grunt](https://tracker.debian.org/pkg/grunt) ([forwarded upstream](https://github.com/gruntjs/grunt/pull/1596)).
  * [#867848](https://bugs.debian.org/867848) filed against [gconf](https://tracker.debian.org/pkg/gconf) ([forwarded upstream](https://bugzilla.gnome.org/show_bug.cgi?id=784738)).
  * [#868133](https://bugs.debian.org/868133) filed against [grep](https://tracker.debian.org/pkg/grep).
  * [#868321](https://bugs.debian.org/868321) filed against [node-marked-man](https://tracker.debian.org/pkg/node-marked-man) ([forwarded-upstream](https://github.com/kapouer/marked-man/pull/12)).

* Bernhard M. Wiedemann:
  * [chromium](https://chromium-review.googlesource.com/563663)
  * [chromium](https://chromium-review.googlesource.com/564598)
  * [kubernetes](https://github.com/kubernetes/kubernetes/pull/48708)
  * [qtscriptgenerator](https://codereview.qt-project.org/199634)
  * [crash](https://github.com/crash-utility/crash/pull/14) merged
  * [ghc-rpm-macros](https://github.com/fedora-haskell/ghc-rpm-macros/commit/331f527a6d82c555f08fd5134a6b5cf27b2cf828) merged
  * [samba](https://lists.samba.org/archive/samba-technical/2017-July/121677.html)
  * [htmldoc](https://github.com/michaelrsweet/htmldoc/pull/310)
  * [efl](https://phab.enlightenment.org/D5023)
  * [webkitgtk3](https://bugs.webkit.org/show_bug.cgi?id=174540) merged
  * [fence-agents](https://github.com/ClusterLabs/fence-agents/pull/129)
  * [fio](https://github.com/axboe/fio/commit/785e49c659023df1735bff195ad4ba133ebd23a7) merged


Reviews of unreproducible packages
----------------------------------

13 package reviews have been added, 12 have been updated and 19 have been removed in this week,
adding to our knowledge about [identified issues](https://tests.reproducible-builds.org/debian/index_issues.html).

2 issue types have been added:

- [build\_path\_captured\_by\_valac](https://salsa.debian.org/reproducible-builds/reproducible-notes/commit/5419df72)
- [timestamps\_in\_javascript\_generated\_by\_node\_grunt\_banner](https://salsa.debian.org/reproducible-builds/reproducible-notes/commit/8e03ac72)

3 issue types have been updated:

- [Add fix for timestamps\_embedded\_in\_manpages\_by\_node\_marked\_man toolchain issue.](https://salsa.debian.org/reproducible-builds/reproducible-notes/commit/ed0088b5)
- [Add fix for timestamps\_in\_javascript\_generated\_by\_node\_grunt\_banner toolchain issue.](https://salsa.debian.org/reproducible-builds/reproducible-notes/commit/d8e59b41)
- [timestamps\_in\_javascript\_generated\_by\_node\_grunt\_banner is actually in src:grunt](https://salsa.debian.org/reproducible-builds/reproducible-notes/commit/2c4af288)


Weekly QA work
--------------

During our reproducibility testing, FTBFS bugs have been detected and reported by:

 - Adrian Bunk (47)

diffoscope development
----------------------

Version [84](https://tracker.debian.org/news/855731) was uploaded to unstable by Mattia Rizzolo. It included
[contributions](https://salsa.debian.org/reproducible-builds/diffoscope/commits/84)
already reported from the previous weeks, as well as new ones:

- Ximin Luo:
  - [Attempt to fix fsimage test on Jenkins](https://salsa.debian.org/reproducible-builds/diffoscope/commit/19aa724)
  - [Use a tempdir rather than ./cache for guestfs cache](https://salsa.debian.org/reproducible-builds/diffoscope/commit/c9a0c6c)
  - [Add more debugging output to test\_fsimage](https://salsa.debian.org/reproducible-builds/diffoscope/commit/1d677ca)


After the release, development continued in [git](
https://salsa.debian.org/reproducible-builds/diffoscope.git/log) with contributions from:

- Mattia Rizzolo:
  - [RequiredToolNotFound.get\_package(): just call the new get\_package\_provider()](https://salsa.debian.org/reproducible-builds/diffoscope/commit/c12bee5)
  - [Add a get\_package\_provider() function, returning the package name that best matches the system](https://salsa.debian.org/reproducible-builds/diffoscope/commit/e62306e)
  - [Move from deprecated platform.linux\_distribution() to the external package distro](https://salsa.debian.org/reproducible-builds/diffoscope/commit/c8927db)


strip-nondeterminism development
--------------------------------

Versions
[0.036-1](https://tracker.debian.org/news/855606),
[0.037-1](https://tracker.debian.org/news/855616) and
[0.038-1](https://tracker.debian.org/news/855723) were uploaded to unstable by
Chris Lamb. They included [contributions](https://salsa.debian.org/reproducible-builds/strip-nondeterminism/commits/debian/0.036-1) from:

- Niels Thykier:
  - [Add missing `use` statements in handler modules](https://salsa.debian.org/reproducible-builds/strip-nondeterminism.git/commit/?id=bc64781)
  - [dh\_strip\_nondeterminism: Assumes `tmpdir()` exists](https://salsa.debian.org/reproducible-builds/strip-nondeterminism.git/commit/?id=5d28db1)
  - File::StripNondeterminism:
     * [Apply perltidy](https://salsa.debian.org/reproducible-builds/strip-nondeterminism.git/commit/?id=02c3960)
     * [Lazy load most handlers](https://salsa.debian.org/reproducible-builds/strip-nondeterminism.git/commit/?id=45ee739)
     * [Lazy load remaining handlers](https://salsa.debian.org/reproducible-builds/strip-nondeterminism.git/commit/?id=71037f0)

- Chris Lamb:
  - [Add missing `File::Temp` imports in JAR and PNG handlers. This appears to have been exposed by lazily-loading handlers in #867982.](https://salsa.debian.org/reproducible-builds/strip-nondeterminism.git/commit/?id=3feaec9)


reprotest development
---------------------

Development continued in [git](https://salsa.debian.org/reproducible-builds/reprotest.git) with contributions from:

- Ximin Luo:
  - [presets: use newer flag `--no-sign` for `dpkg-buildpackage`](https://salsa.debian.org/reproducible-builds/reprotest.git/commit/?id=d806502)
  - [Document `--diffoscope-args= --exclude-directory-metadata` and use it in presets](https://salsa.debian.org/reproducible-builds/reprotest.git/commit/?id=2d246c8)

- Mattia Rizzolo:
  - [Bump debhelper compat level to 10.](https://salsa.debian.org/reproducible-builds/reprotest.git/commit/?id=6833ffa)
  - [Bump Standards-Version to 4.0.0.](https://salsa.debian.org/reproducible-builds/reprotest.git/commit/?id=10344ac)


buildinfo.debian.net development
--------------------------------

- Chris Lamb:
  - [Avoid a race condition between check-and-creation of `Buildinfo` instances.](https://salsa.debian.org/reproducible-builds/buildinfo.debian.net.git/commit/?id=fa69426)

tests.reproducible-builds.org
-----------------------

- Mattia Rizzolo:
  + Make database backups quicker to restore by avoiding `--column-inserts`'s pg\_dump option.
  + Fixup the deployment scripts after the `stretch` migration.
  + Fixup Apache redirects that were broken after introducing the `buster` suite
  + Fixup diffoscope jobs that were not always installing the highest possible version of diffoscope
- Holger Levsen:
  + Add a node health check for a too big `jenkins.log`.

Misc.
-----

This week's edition was written by Bernhard M. Wiedemann, Chris Lamb, Mattia Rizzolo, Vagrant Cascadian & reviewed by a bunch of Reproducible Builds folks on IRC & the mailing lists.
