---
layout: blog
week: 127
published: 2017-10-03 18:10:32
---

Here's what happened in the [Reproducible
Builds](https://reproducible-builds.org) effort between Sunday September 24 and
Saturday September 30 2017:


Development and fixes in key packages
-------------------------------------

Kai Harries did an [initial packaging of the Nix package manager for
Debian](https://github.com/KaiHa/nix-debian/). You can track his progress in
[#877019](https://bugs.debian.org/877019).

Uploads in Debian:

* Chris Lamb:
  * [shadow](https://tracker.debian.org/pkg/shadow)/1:4.5-1 fixing [#857803](https://bugs.debian.org/857803).
* Holger Levsen:
  * [font-uralic](https://tracker.debian.org/pkg/font-uralic)/0.0.20040829-6 fixing [#854362](https://bugs.debian.org/854362). (NMU)
  * [mpack](https://tracker.debian.org/pkg/mpack)/1.6-8.2 fixing [#777376](https://bugs.debian.org/777376). (NMU)


Packages reviewed and fixed, and bugs filed
-------------------------------------------

Patches sent upstream:

* Bernhard M. Wiedemann:
  * [python-numpy](https://github.com/numpy/numpy/pull/9780) build timestamp;
    merged
  * [python-marshmallow](https://github.com/marshmallow-code/marshmallow/pull/679)
    build timestamp; merged
  * [python-astropy-helpers](https://github.com/astropy/astropy-helpers/pull/341)
    build timestamp; merged
  * [oprofile](https://sourceforge.net/p/oprofile/oprofile/merge-requests/1/)
    build timestamp
  * [libheimdal](https://github.com/heimdal/heimdal/pull/336) build timestamp,
    hostname, username; upstream exploring alternative fixes
  * [openSUSE/Qt](https://github.com/openSUSE/post-build-checks/pull/13) hash
    table seed
  * [libkolabxml/xsd](https://git.kolab.org/T2642) ASLR memory location
    differences; no patch

Reproducible bugs (with patches) filed in Debian:

* Chris Lamb:
  * [#877375](https://bugs.debian.org/877375) filed against [polygen](https://tracker.debian.org/pkg/polygen).
  * [#877381](https://bugs.debian.org/877381) filed against [plr](https://tracker.debian.org/pkg/plr).
  * [#877384](https://bugs.debian.org/877384) filed against [rcs](https://tracker.debian.org/pkg/rcs).
* Daniel Schepler:
  * [#876672](https://bugs.debian.org/876672) filed against [e2fsprogs](https://tracker.debian.org/pkg/e2fsprogs).
* Vagrant Cascadian:
  * [#876657](https://bugs.debian.org/876657) filed against [device-tree-compiler](https://tracker.debian.org/pkg/device-tree-compiler) and
    uploaded 1.4.4-1 with the patch applied.

QA bugs filed in Debian:

* Adrian Bunk:
  * [#876641](https://bugs.debian.org/876641) filed against [pcb](https://tracker.debian.org/pkg/pcb).
  * [#876685](https://bugs.debian.org/876685) filed against [mssh](https://tracker.debian.org/pkg/mssh).
  * [#876776](https://bugs.debian.org/876776) filed against [fityk](https://tracker.debian.org/pkg/fityk).
  * [#876845](https://bugs.debian.org/876845) filed against [webkit2-sharp](https://tracker.debian.org/pkg/webkit2-sharp).
  * [#876870](https://bugs.debian.org/876870) filed against [apertium-en-es](https://tracker.debian.org/pkg/apertium-en-es).
  * [#877021](https://bugs.debian.org/877021) filed against [breathe](https://tracker.debian.org/pkg/breathe).
  * [#877031](https://bugs.debian.org/877031) filed against [sextractor](https://tracker.debian.org/pkg/sextractor).
  * [#877054](https://bugs.debian.org/877054) filed against [hypre](https://tracker.debian.org/pkg/hypre).
  * [#877063](https://bugs.debian.org/877063) filed against [libitpp](https://tracker.debian.org/pkg/libitpp).
  * [#877065](https://bugs.debian.org/877065) filed against [alglib](https://tracker.debian.org/pkg/alglib).
  * [#877211](https://bugs.debian.org/877211) filed against [ipmiutil](https://tracker.debian.org/pkg/ipmiutil).


Reviews of unreproducible packages
----------------------------------

103 package reviews have been added, 153 have been updated and 78 have been
removed in this week, adding to our knowledge about [identified
issues](https://tests.reproducible-builds.org/debian/index_issues.html).


Weekly QA work
--------------

During our reproducibility testing, FTBFS bugs have been detected and reported
by:

 - Adrian Bunk (177)
 - Andreas Beckmann (2)
 - Daniel Schepler (1)


diffoscope development
----------------------

Mattia Rizzolo [uploaded](https://tracker.debian.org/news/875425)
version `87` to stretch-backports.

- Holger Levsen:
    - Bump standards version to 4.1.1, no changes needed.


strip-nondeterminism development
--------------------------------

- Holger Levsen:
    - Bump Standards-Version to 4.1.1, no changes needed.


reprotest development
---------------------

- Ximin Luo:
  - New features:
    - Add a `--env-build` option for testing different env vars. (In-progress,
      requires the `python-rstr` package awaiting entry into Debian.)
    - Add a `--source-pattern` option to restrict copying of `source_root`.
  - Usability improvements:
    - Improve error messages in some common scenarios.
    - Output hashes after a successful `--auto-build`.
    - Print a warning message if we reproduced successfully but didn't vary
      everything.
    - Update examples in documentation.
  - Have `dpkg-source` extract to different build dir iff varying the
    build-path.
  - Pass `--debug` to diffoscope if verbosity >= 2.
  - Pass `--exclude-directory-metadata` to diffoscope(1) by default.
  - Much refactoring to support the other work and several minor bug fixes.
- Holger Levsen:
  - Bump standards version to 4.1.1, no changes needed.

tests.reproducible-builds.org
-----------------------------

- Holger Levsen:
  - Fix scheduler to not send empty scheduling notifications in the rare cases nothing has been scheduled.
  - Fix colors in 'amount of packages build each day on $ARCH' graphs.

reproducible-website development
--------------------------------

- Holger Levsen:
    - Fix up HTML syntax
    - Announce that RWS3 will happen at Betahaus, Berlin


Misc.
-----

This week's edition was written by Ximin Luo, Bernhard M. Wiedemann, Holger
Levsen and Chris Lamb & reviewed by a bunch of Reproducible Builds folks on IRC
& the mailing lists.
