---
layout: blog
week: 130
published: 2017-10-24 12:10:12
---

Here's what happened in the [Reproducible Builds](https://reproducible-builds.org) effort between Sunday October 15 and Saturday October 21 2017:

* The [Tails](tails.boum.org) project published a [report on how they made their ISO images reproducible](https://lists.reproducible-builds.org/pipermail/rb-general/2017-October/000656.html).

* [dpkg](https://tracker.debian.org/pkg/dpkg) 1.19.0 was uploaded, including support for:

    * Ordering the "unused substitution" warnings to prevent superfluous differences between logs of package builds on the Reproducible Builds test framework. ([#870221](https://bugs.debian.org/870221))

    * A new `Build-Kernel-Version` field in `.buildinfo` files that can be generated with a new `dpkg-genbuildinfo --always-include-kernel` option. ([#873937](https://bugs.debian.org/873937))

Past events
-----------

- On Saturday 21st October, [Holger Levsen presented](https://cfp.all-systems-go.io/en/ASG2017/public/events/117) at [All Systems Go!](https://all-systems-go.io/) in Berlin, Germany on reproducible builds. [A video recording is available already.](http://cdn.media.ccc.de/events/all_systems_go/2017/h264-hd/ASG2017-117-eng-Reproducible_Builds_-_where_do_we_want_to_go_tomorrow_hd.mp4)

Upcoming events
---------------

- On Tuesday 24th October, Chris Lamb will present at [All Things Open 2017](https://allthingsopen.org) in Raleigh, NC, USA.

- On Wednesday 25th October, [Holger Levsen will
  present](https://osseu17.sched.com/event/BxJs/reproducible-builds-we-made-lots-of-progress-in-many-places-but-were-still-far-from-our-goals-of-changing-the-software-world-holger-levsen)
  at the [Open Source Summit Europe](https://osseu17.sched.com) in Prague,
  Czech Republic.

- On Saturday 28th October, Chris Lamb will present at [freenode.live](https://freenode.live) in Bristol, UK.

- From October 31st &mdash; November 2nd we will be holding the
  [3rd Reproducible Builds summit](https://reproducible-builds.org/events/berlin2017/)
  in Berlin, Germany. If you are working in the field of reproducible builds, you should definitely
  attend. Please see our [public invitation mail](https://lists.reproducible-builds.org/pipermail/rb-general/2017-October/000653.html) and contact us if you have any questions. 

New York University sessions
------------------------------------------------

A three week session will be held at [New York University](https://www.nyu.edu/) to work on
reproducibilty issues in conjunction with the reproducible builds community.
Students from the [Application Security](http://bulletin.engineering.nyu.edu/preview_course_nopop.php?catoid=9&coid=23997) course will be working for two weeks to work on the reproducible builds effort.

- On Tuesday 24th Oct Ed Maste from FreeBSD will be presenting some reproducible
  builds work for students.

- On From Tuesday 24th of October to Monday 7th of November students will work
  on fixing reproducibility issues brought up by the community. A milestone
  presentation will be held by Santiago Torres-Arias and Preston Moore.

- On Tuesday 7th November Holger Levsen will join the NYU team to wrap up the work.


Packages reviewed and fixed, and bugs filed
-------------------------------------------

* Adrian Bunk:
    * [#878883](https://bugs.debian.org/878883) filed against [stoken](https://tracker.debian.org/pkg/stoken).
    * [#878896](https://bugs.debian.org/878896) filed against [liquidsoap](https://tracker.debian.org/pkg/liquidsoap).
    * [#878980](https://bugs.debian.org/878980) filed against [belenios](https://tracker.debian.org/pkg/belenios).
    * [#879042](https://bugs.debian.org/879042) filed against [tuxpaint-config](https://tracker.debian.org/pkg/tuxpaint-config).
    * [#879223](https://bugs.debian.org/879223) filed against [websockify](https://tracker.debian.org/pkg/websockify).
* Chris Lamb:
    * [#878707](https://bugs.debian.org/878707) filed against [python-amqp](https://tracker.debian.org/pkg/python-amqp) (randomness in documentation).
    * [#878708](https://bugs.debian.org/878708) filed against [geographiclib](https://tracker.debian.org/pkg/geographiclib) (build paths).
    * [#879169](https://bugs.debian.org/879169) filed against [live-build](https://tracker.debian.org/pkg/live-build) (timestamps).
* Gilles Filippini:
    * [#878818](https://bugs.debian.org/878818) filed against [ovito](https://tracker.debian.org/pkg/ovito).

The following reproducible builds-related NMUs were accepted:

* Chris Lamb:
  * [gerstensaft](https://tracker.debian.org/pkg/gerstensaft) ([#777414](https://bugs.debian.org/777414))
  * [miniupnpd](https://tracker.debian.org/pkg/miniupnpd) ([#860266](https://bugs.debian.org/860266))
  * [rest2web](https://tracker.debian.org/pkg/rest2web) ([#833438](https://bugs.debian.org/833438))

Patches sent upstream:

* Bernhard M. Wiedemann:
  * [singularity](https://github.com/singularityware/singularity/pull/1083) (tar+gz)
  * [redis](https://github.com/antirez/redis/pull/4390) (date)
  * [tbb](https://github.com/01org/tbb/pull/37) (date)
  * [nested](https://github.com/carlos-jenkins/nested/pull/1) (sort)
  * [nested](https://github.com/carlos-jenkins/nested/pull/2) (date)


Reviews of unreproducible packages
----------------------------------

41 package reviews have been added, 119 have been updated and 54 have been removed in this week,
adding to our knowledge about [identified issues](https://tests.reproducible-builds.org/debian/index_issues.html). 2 issue types were removed as they were fixed:

- [too\_much\_input\_for\_diff](https://salsa.debian.org/reproducible-builds/reproducible-notes/commit/40fab9fb)
- [docbook\_to\_man\_one\_byte\_delta](https://salsa.debian.org/reproducible-builds/reproducible-notes/commit/e3e11cf8)

Weekly QA work
--------------

During our reproducibility testing, FTBFS bugs have been detected and reported by:

 - Aaron M. Ucko (1)
 - Adrian Bunk (49)
 - Anthony DeRobertis (1)
 - Daniel Schepler (1)
 - Gilles Filippini (1)
 - James Cowgill (1)
 - Matthias Klose (1)
 - Matthias Klumpp (1)
 - Nobuhiro Iwamatsu (1)


diffoscope development
----------------------

- Ximin Luo:
    - [Tentative support for for parallel diffs](https://salsa.debian.org/reproducible-builds/diffoscope/commit/96ba333)


strip-nondeterminism development
--------------------------------

Version [0.039-1](https://tracker.debian.org/news/880419) was uploaded to unstable by Chris Lamb.
It included [contributions](https://salsa.debian.org/reproducible-builds/strip-nondeterminism/commits/debian/0.039-1)
already covered by posts of the previous weeks, including:

- Chris Lamb:
   - Clojure considers the `.class` file to be stale if it shares the same
     timestamp of the `.clj`. We thus adjust the timestamps of the `.clj` to always
     be younger. ([#877418](https://bugs.debian.org/877418))
   * `dh_strip_nondeterminism`: Log which handler processed a file.
     ([#876140](https://bugs.debian.org/876140))
   * `bin/strip-nondeterminism`: Print a warning in `--verbose` mode if no
     canonical time specified.
   * Use HTTPS URI in `debian/watch`.


reprotest development
---------------------

- Ximin Luo:
    - [Hopefully fix the autopkgtest tests](https://salsa.debian.org/reproducible-builds/reprotest.git/commit/?id=f874535)

- Santiago Torres-Arias:
    - An [Arch Linux User Repository package for reprotest](https://aur.archlinux.org/packages/reprotest/) has been created.]


tests.reproducible-builds.org
-----------------------------

- Holger Levsen:
    - Install `rustc` on Jenkins for the `reproducible-html-build-path-prefix-map-spec` job.

- Mattia Rizzolo:
    - `health_check`: Include the running kernel version when reporting multiple kernel installed in `/boot`.


Website updates
---------------

- Holger Levsen:
    - Berlin 2017:
        - [add Qubes OS to participating projects](https://salsa.debian.org/reproducible-builds/reproducible-website/commit/e94e516)
        - [Add NetBSD and EdgeBSD to participating projects](https://salsa.debian.org/reproducible-builds/reproducible-website/commit/8dc1095)
        - [Add repeatr.io to participating projects](https://salsa.debian.org/reproducible-builds/reproducible-website/commit/73c5437)
        - [Add disclaimer why only so few projects are listed](https://salsa.debian.org/reproducible-builds/reproducible-website/commit/84e461f)
        - [Add link to Google maps and name the 2nd next subway station on a different line](https://salsa.debian.org/reproducible-builds/reproducible-website/commit/f7adff8)
        - [Add first 4 participating projects](https://salsa.debian.org/reproducible-builds/reproducible-website/commit/769c367)

Misc.
-----

This week's edition was written by Bernhard M. Wiedemann, Chris Lamb, Holger Levsen, Santiago Torres & reviewed by a bunch of Reproducible Builds folks on IRC & the mailing lists.
