---
layout: blog
week: 142
published: 2018-01-16 12:01:48
---

Here's what happened in the [Reproducible Builds](https://reproducible-builds.org) effort between Sunday December 31 and Saturday January 13 2018:

Media coverage
--------------

* Reproducible builds were mentioned on an episode of a [Bryan Lunduke](http://lunduke.com/) interview with [Brendan Eich](https://brendaneich.com/), the creator of the Javascript programming language. ([link](https://player.fm/series/lunduke-hour/brendan-eich-interview-lunduke-show-special-jan-9th-2018))

* Julien (jvoisin) Voisin wrote a [short blog post detailing their success](https://dustri.org/b/tails-34-reproductible-build.html) in reproducing [the recent Tails ISO release](https://tails.boum.org/news/version_3.4/index.en.html).

Development and fixes in key packages
-------------------------------------

Chris Lamb implemented two reproducibility checks in the [lintian](https://tracker.debian.org/pkg/lintian) Debian package quality-assurance tool:

* Warn about packages that ship [Hypothesis](https://hypothesis.readthedocs.io/en/latest/) example files. ([#886101](https://bugs.debian.org/886101), [report](https://lintian.debian.org/tags/package-contains-python-hypothesis-example.html))
* Warn about packages that override `dh_fixperms` without calling `dh_fixperms` as this makes the build vary depending on the current `umask(2)`. ([#885910](https://bugs.debian.org/885910), [report](https://lintian.debian.org/tags/override_dh_fixperms-does-not-call-dh_fixperms.html))

Packages reviewed and fixed, and bugs filed
-------------------------------------------

* Adrian Bunk:
    * [#886355](https://bugs.debian.org/886355) filed against [libpar-packer-perl](https://tracker.debian.org/pkg/libpar-packer-perl).
    * [#886361](https://bugs.debian.org/886361) filed against [apertium](https://tracker.debian.org/pkg/apertium).
* Bernhard M. Wiedemann:
    * [ibus-typing-booster](https://build.opensuse.org/request/show/561975) (gz-mtime)
    * [console-setup](https://build.opensuse.org/request/show/561791) (random,gz-mtime)
    * [fwupd](https://github.com/hughsie/fwupd/pull/355) (gz-mtime)
    * [libosmo-dsp](https://build.opensuse.org/request/show/562355) (drop LaTeX log)
    * [libsamplerate](https://build.opensuse.org/request/show/562897) (merged, PGO)
    * [aelfred](https://build.opensuse.org/request/show/563167) (merged, time)
    * [jformatstring](https://build.opensuse.org/request/show/563168) (merged, time)
    * [log4j](https://build.opensuse.org/request/show/563323) (merged, upstreamable?, time)
    * [tanukiwrapper](https://build.opensuse.org/request/show/563336) (merged, time)
    * [drbd-utils](https://build.opensuse.org/request/show/563363) (enable rb)
* Chris Lamb:
    * [#885909](https://bugs.debian.org/885909) filed against [node-crc32](https://tracker.debian.org/pkg/node-crc32).
    * [#886001](https://bugs.debian.org/886001) filed against [node-jquery](https://tracker.debian.org/pkg/node-jquery).
    * [#886002](https://bugs.debian.org/886002) filed against [node-deflate-js](https://tracker.debian.org/pkg/node-deflate-js).
    * [#886003](https://bugs.debian.org/886003) filed against [python-pysnmp4](https://tracker.debian.org/pkg/python-pysnmp4).
    * [#886100](https://bugs.debian.org/886100) filed against [todoman](https://tracker.debian.org/pkg/todoman).
    * [#886105](https://bugs.debian.org/886105) filed against [klystrack](https://tracker.debian.org/pkg/klystrack).
    * [#886130](https://bugs.debian.org/886130) filed against [libmsv](https://tracker.debian.org/pkg/libmsv).
    * [#886239](https://bugs.debian.org/886239) filed against [librsvg](https://tracker.debian.org/pkg/librsvg).
    * [#886277](https://bugs.debian.org/886277) filed against [node-promise](https://tracker.debian.org/pkg/node-promise) ([filed upstream](https://github.com/then/promise/pull/146)).
    * [#886306](https://bugs.debian.org/886306) filed against [python-pyocr](https://tracker.debian.org/pkg/python-pyocr).
    * [#886386](https://bugs.debian.org/886386) filed against [mstflint](https://tracker.debian.org/pkg/mstflint).
    * [#886522](https://bugs.debian.org/886522) filed against [python-stdnum](https://tracker.debian.org/pkg/python-stdnum) ([filed upstream](https://github.com/arthurdejong/python-stdnum/pull/61))
    * [#886523](https://bugs.debian.org/886523) filed against [python-hpack](https://tracker.debian.org/pkg/python-hpack).
    * [#886703](https://bugs.debian.org/886703) filed against [normaliz](https://tracker.debian.org/pkg/normaliz).
    * [#886898](https://bugs.debian.org/886898) filed against [dtkwm](https://tracker.debian.org/pkg/dtkwm).
    * [#886902](https://bugs.debian.org/886902) filed against [clanlib](https://tracker.debian.org/pkg/clanlib).
    * [#886952](https://bugs.debian.org/886952) filed against [hwinfo](https://tracker.debian.org/pkg/hwinfo) ([filed upstream](https://github.com/openSUSE/hwinfo/pull/55))
    * [#886988](https://bugs.debian.org/886988) filed against [texlive-extra](https://tracker.debian.org/pkg/texlive-extra).
    * [#886989](https://bugs.debian.org/886989) filed against [fox1.6](https://tracker.debian.org/pkg/fox1.6).
    

Reviews of unreproducible packages
----------------------------------

60 package reviews have been added, 43 have been updated and 76 have been removed in this week,
adding to our knowledge about [identified issues](https://tests.reproducible-builds.org/debian/index_issues.html).

4 new issue types have been added:

* [randomness\_in\_binaries\_generated\_by\_d\_compiler\_gdc](https://salsa.debian.org/reproducible-builds/reproducible-notes/commit/76fe4646)
* [serial\_numbers\_in\_ogg\_via\_sox](https://salsa.debian.org/reproducible-builds/reproducible-notes/commit/132b01c7)
* [nondeterminism\_in\_files\_generated\_by\_rime\_deployer](https://salsa.debian.org/reproducible-builds/reproducible-notes/commit/6fa0f385)
* [buildpath\_in\_binaries\_generated\_by\_d\_compiler\_gdc](https://salsa.debian.org/reproducible-builds/reproducible-notes/commit/17d52477)

The notes of one issue type was updated:

* build\_dir\_in\_documentation\_generated\_by\_doxygen: [1](https://salsa.debian.org/reproducible-builds/reproducible-notes/commit/aacc8480), [2](https://salsa.debian.org/reproducible-builds/reproducible-notes/commit/862f8119)

Weekly QA work
--------------

During our reproducibility testing, FTBFS bugs have been detected and reported by:

 - Adam Borowski (2)
 - Adrian Bunk (16)
 - Niko Tyni (1)
 - Chris Lamb (6)
 - Jonas Meurer (1)
 - Simon McVittie (1)


diffoscope development
----------------------

- Chris Lamb:
    - Bug fixes:
        - Return "unknown" if we can't parse the `readelf` version number eg. for FreeBSD. ([#886963](https://bugs.debian.org/886963))
        - If the LLVM disassembler does not work, try the internal one. ([#886736](https://bugs.debian.org/886736))
    - Features/improvements:
        - [comparators.macho: Always strip the filename, not just when by itself](https://salsa.debian.org/reproducible-builds/diffoscope/commit/35a2ce9)
        - [Clarify "Unidentified file" log message; we tried and lookup via the comparators first](https://salsa.debian.org/reproducible-builds/diffoscope/commit/40dca4b)
    - Cleanups
        - [Drop an unnecessary `else` after `return`](https://salsa.debian.org/reproducible-builds/diffoscope/commit/b5ba6a9)
        - [Drop whitespaces from end of file](https://salsa.debian.org/reproducible-builds/diffoscope/commit/c32d58e)
        - [`flake8` files](https://salsa.debian.org/reproducible-builds/diffoscope/commit/14317f5)
        - [Invert some logic as we use unconditional control flow](https://salsa.debian.org/reproducible-builds/diffoscope/commit/720305c)
        - [Tidy some long lines](https://salsa.debian.org/reproducible-builds/diffoscope/commit/1ad4055)
        - [Ensure block comments start with `#`](https://salsa.debian.org/reproducible-builds/diffoscope/commit/41075d7)
        - [Ensure we use a multiple of 4 spaces](https://salsa.debian.org/reproducible-builds/diffoscope/commit/066b09f)
        - [Drop an unused `os.path` import](https://salsa.debian.org/reproducible-builds/diffoscope/commit/2fa37b1)
        - [Add spaces around operators](https://salsa.debian.org/reproducible-builds/diffoscope/commit/26ec6a1)
        - [Mark special imports as `noqa`](https://salsa.debian.org/reproducible-builds/diffoscope/commit/990f473)
        - [Tidy `ListToolsAction` action command](https://salsa.debian.org/reproducible-builds/diffoscope/commit/ae117fe)
        - [Don't shadow an `os` import](https://salsa.debian.org/reproducible-builds/diffoscope/commit/e51e801)
- Juliana Oliveira:
    - [Fix a `python-progressbar` test case](https://salsa.debian.org/reproducible-builds/diffoscope/commit/e7a02fc)
    - [Add support for modules on `skip\_unless` annotations](https://salsa.debian.org/reproducible-builds/diffoscope/commit/dd739d5)
    - Work on parallelism:
        - [Add a thread manager](https://salsa.debian.org/reproducible-builds/diffoscope/commit/644d3c1)
        - [Add a `comparison\_pool` class](https://salsa.debian.org/reproducible-builds/diffoscope/commit/b9c0841)
        - [Add a "jobs" flag](https://salsa.debian.org/reproducible-builds/diffoscope/commit/e922da6)
        - [Add map method to the comparison pool](https://salsa.debian.org/reproducible-builds/diffoscope/commit/4929388)
- Daniel Shahaf:
    - Document feeders. ([#863880](https://bugs.debian.org/863880))
    - Optimize the most common case of feeders. [[#863879](https://bugs.debian.org/863879)

disorderfs development
----------------------

- Chris Lamb:
    - [Correct an "explicitly" typo](https://salsa.debian.org/reproducible-builds/disorderfs.git/commit/?id=9d6ee69)
    - [Bump `Standards-Version` to 4.1.3](https://salsa.debian.org/reproducible-builds/disorderfs.git/commit/?id=df49816)
    - [Drop trailing whitespace in `debian/control`](https://salsa.debian.org/reproducible-builds/disorderfs.git/commit/?id=6a77883)
- Mattia Rizzolo:
    - [Add header listing the keys present in the GPG key export](https://salsa.debian.org/reproducible-builds/disorderfs.git/commit/?id=7bcb4f4)
    

jenkins.debian.net development
------------------------------

- Eli Schwartz (Reproducible Arch linux):
    - [Correctly list `date` build variation](https://anonscm.debian.org/git/qa/jenkins.debian.net.git/commit/?id=ef0321ca)
    - [Fix `pacman-git` package from AUR fails to build](https://anonscm.debian.org/git/qa/jenkins.debian.net.git/commit/?id=61a4dcaa)
    - [Disable SSL checks for pacman-git](https://anonscm.debian.org/git/qa/jenkins.debian.net.git/commit/?id=fe44d18f)
- Holger Levsen:
    - [Update scripts to deal with the latest Ubuntu LTS changes](https://anonscm.debian.org/git/qa/jenkins.debian.net.git/commit/?id=2f97093a)
    - Arch Linux:
        - [Drop harmless `continue` statement](https://anonscm.debian.org/git/qa/jenkins.debian.net.git/commit/?id=3a5781e2)
        - [Only sleep if there are no scheduled packages](https://anonscm.debian.org/git/qa/jenkins.debian.net.git/commit/?id=44527fab)
        - [increase threshold and maximum amount of rescheduled packages](https://anonscm.debian.org/git/qa/jenkins.debian.net.git/commit/?id=995e81be)
- kpcyrd:
    - [Ignore that Arch Linux certificates expire in the future](https://anonscm.debian.org/git/qa/jenkins.debian.net.git/commit/?id=473cf45b)
- Mattia Rizzolo:
    - [Check if we are running the latest kernel in the node health check](https://anonscm.debian.org/git/qa/jenkins.debian.net.git/commit/?id=17307c4e)


Misc.
-----

This week's edition was written by Bernhard M. Wiedemann, Chris Lamb and Vagrant Cascadian & reviewed by a bunch of Reproducible Builds folks on IRC & the mailing lists.
