---
layout: blog
week: 158
published: 2018-05-08 15:49:54
---

Here's what happened in the [Reproducible Builds](https://reproducible-builds.org) effort between Sunday April 29 and Saturday May 5 2018:

* The [Turnkey Linux](https://www.turnkeylinux.org) Debian-derivative [announced that their v15.0 release contains reproducible packages](https://www.turnkeylinux.org/blog/v15.0rc1-core-and-tkldev).

* Chris Lamb [uplodeded version 94](https://tracker.debian.org/news/954962/accepted-diffoscope-94-source-all-into-unstable/) of [diffoscope](https://diffoscope.org) (our in-depth "diff-on-steroids" utility which helps us diagnose reproducibility issues in packages) to Debian and [PyPI](https://pypi.org/). It includes contributions [already convered in previous weeks](https://salsa.debian.org/reproducible-builds/diffoscope/commits/94) as well as:

    * [Update tests to prevent FTBFS under file 5.33](https://salsa.debian.org/reproducible-builds/diffoscope/commit/f800b20). (Closes: [#897099](https://bugs.debian.org/897099))
    * [Remove unused test1.txt test data file.](https://salsa.debian.org/reproducible-builds/diffoscope/commit/82c75b0)

 * 15 package reviews were added, 38 were updated and 54 were removed in this week, adding to our [knowledge about identified issues](https://tests.reproducible-builds.org/debian/index_issues.html). A  new "[`member_search_index_json`](https://salsa.debian.org/reproducible-builds/reproducible-notes/commit/4772ee62)" toolchain issue was added.

* In addition, build failure bugs were reported by Adrian Bunk (1) and Chris Lamb (1).

Packages reviewed and fixed, and bugs filed
-------------------------------------------

* Chris Lamb:

    * [#897902](https://bugs.debian.org/897902) filed against [tweeny](https://tracker.debian.org/pkg/tweeny) ([sent upstream](https://github.com/mobius3/tweeny/pull/6)).
    * [#897904](https://bugs.debian.org/897904) filed against [libzstd](https://tracker.debian.org/pkg/libzstd) ([sent upstream](https://github.com/facebook/zstd/pull/1120)).
    * [#864082](https://bugs.debian.org/864082) updated for [fontconfig](https://tracker.debian.org/pkg/libzstd) ([sent upstream](https://lists.freedesktop.org/archives/fontconfig/2018-May/006271.html)).

* Eli Schwartz
    * [wavemon](https://github.com/uoaerg/wavemon/pull/48) (builddate timestamp)

Misc.
-----

This week's edition was written by Chris Lamb & reviewed by a bunch of Reproducible Builds folks on IRC & the mailing lists.
