---
layout: blog
week: 182
published: 2018-10-23 13:15:11
---

Here's what happened in the [Reproducible Builds](https://reproducible-builds.org) effort between Sunday October 14 and Saturday October 20 2018:

* Jelle van der Waa [posted a reminder](https://lists.reproducible-builds.org/pipermail/rb-general/2018-October/001213.html) on [our mailing list](https://lists.reproducible-builds.org/listinfo/rb-general) that there is an IRC meeting on 23th of October at 16:00 UTC ([agenda](https://pad.riseup.net/p/reproducible-irc-meeting-20181023-16UTC)).

* Peter Wu [filed a bug report](https://gitlab.kitware.com/cmake/cmake/issues/18413) against the [CMake](https://cmake.org/) build tool to avoid embedding the build directory in an executable's [RPATH](https://en.wikipedia.org/wiki/Rpath).

* Chris Lamb [add support for comparing OCaml files via `ocamlobjinfo`](https://salsa.debian.org/reproducible-builds/diffoscope/commit/bc92ac3) to [diffoscope](https://diffoscope.org/), our in-depth "diff-on-steroids" utility which helps us diagnose reproducibility issues in packages closing Debian bug #910542. In addition, he added a note on how to [regenerate the `debian/tests/control.in` file](https://salsa.debian.org/reproducible-builds/diffoscope/commit/5574a4e) if it gets out of sync.

* Bernhard M. Wiedemann added two tests to disorderfs (our [FUSE](https://github.com/libfuse/libfuse)-based filesystem that deliberately introduces non-determinism into filesystems) in order to check for various issues around the [`futimens` and `utimensat`](http://pubs.opengroup.org/onlinepubs/9699919799/functions/futimens.html) syscalls ([1](https://salsa.debian.org/reproducible-builds/disorderfs/commit/326d2cc), [2](https://salsa.debian.org/reproducible-builds/disorderfs/commit/d606f26)). This was also filed as Debian bug [#911281](https://bugs.debian.org/911281)

* Chris Lamb made a number of changes to [our website](https://reproducible-builds.org/), including adding his [recent NYU class talk](https://salsa.debian.org/reproducible-builds/reproducible-website/commit/161f39b), [Holger's diffoscope talk the MirageOS hack retreat](https://salsa.debian.org/reproducible-builds/reproducible-website/commit/ec50beb) and [Mariusz Zaborski's BSidesWarsaw 2018 talk](https://salsa.debian.org/reproducible-builds/reproducible-website/commit/f547f34) to the [Resources](https://reproducible-builds.org/contribute/) page. Holger Levsen also made some changes to the website, including updating the list of projects attending the [Reproducible Builds summit in Paris](https://reproducible-builds.org/events/paris2018/) in December.

* This week, Chris Lamb added 25 package reviews, and 12 were updated & 13 were removed, adding to [our knowledge about identified issues](https://tests.reproducible-builds.org/debian/index_issues.html). In addition, Bernhard M. Wiedemann [added a reference to a fix](https://salsa.debian.org/reproducible-builds/reproducible-notes/commit/706eef3c) for the [`translations_missing_in_desktop_files`](https://tests.reproducible-builds.org/debian/issues/unstable/translations_missing_in_desktop_files_issue.html) issue.

* Chris Murphy started an email thread on the [BtrFs](https://btrfs.wiki.kernel.org/index.php/Main_Page) filesystem's mailing list asking about [reproducible builds with BtrFs "seed" feature](https://www.spinics.net/lists/linux-btrfs/msg83206.html).

Another reminder that the Reproducible Builds summit will be taking place between 11th—13th December 2018 Paris at [Mozilla](https://wiki.mozilla.org/Paris)'s offices. If you are interested in attending, please send an email to `holger@layer-acht.org`. More details [can be found on the corresponding event page](https://reproducible-builds.org/events/paris2018/) of our website.

Packages reviewed and fixed, and bugs filed
-------------------------------------------

* Bernhard M. Wiedemann:
    * [grub2](https://savannah.gnu.org/bugs/index.php?54841) (fix mtime, file `readdir(2)`)
    * [hawk2/rubygem-sprockets](https://bugzilla.opensuse.org/show_bug.cgi?id=1112159) (filed: mtime + other)
    * [maildir-utils](https://bugzilla.opensuse.org/show_bug.cgi?id=1111950) (emacs .elc varies from parallelism)
    * [nfoview](https://github.com/otsaloma/nfoview/pull/15) (merged, sort Python glob / `readdir(2)`)
    * [python-gobject](https://gitlab.gnome.org/GNOME/pygobject/merge_requests/94) (merged, sort python `listdir` / `readdir(2)`)
    * [python](https://bugs.python.org/issue34990) (bug: FTBFS-2038)
    * [scons](https://github.com/SCons/scons/pull/3221) (merged, date)

* Chris Lamb:
    * [#911125](https://bugs.debian.org/911125) filed against [lmfit-py](https://tracker.debian.org/pkg/lmfit-py) (randomness).
    * [#911234](https://bugs.debian.org/911234) filed against [mp3fs](https://tracker.debian.org/pkg/mp3fs) ([forwarded upstream](https://github.com/khenriks/mp3fs/pull/59), use `SOURCE_DATE_EPOCH`)

Test framework development
--------------------------

There were a large number of updates to our [Jenkins](https://jenkins.io/)-based testing framework that powers [tests.reproducible-builds.org](https://tests.reproducible-builds.org/) by Holger Levsen this week, including:

* [Improve the wording](https://salsa.debian.org/qa/jenkins.debian.net/commit/82b20e12) on the [Reproducible OpenWrt](https://tests.reproducible-builds.org/openwrt/openwrt.html) pages.
* [Don't fail if a log file vanishes during a long running `find(1)` command](https://salsa.debian.org/qa/jenkins.debian.net/commit/9e06e4b5).
* [Automatically fix `.rbuild` files with the wrong permissions](https://salsa.debian.org/qa/jenkins.debian.net/commit/7a08f9df).
* [Fix the disorderfs and strip-nondeterminism jobs to test the `master` branch, not the `debian` branch](https://salsa.debian.org/qa/jenkins.debian.net/commit/ca2e682c).
* [Add debug output to tp the reproducible OpenWrt build process to diagnose a statistics issue](https://salsa.debian.org/qa/jenkins.debian.net/commit/d2b56877).
* [Only recreate the Jenkins job health page if the jobs have actually changed](https://salsa.debian.org/qa/jenkins.debian.net/commit/238de5e2).
* [Do not reinvent `nproc(1)`](https://salsa.debian.org/qa/jenkins.debian.net/commit/ba2c9f6b). Thanks to Andreas Beckmann for the hint.
* [Refactor PNG image generation](https://salsa.debian.org/qa/jenkins.debian.net/commit/9f53bb02).
* [Update various copyright years](https://salsa.debian.org/qa/jenkins.debian.net/commit/b31c5c08).


Misc.
-----

This week's edition was written by Bernhard M. Wiedemann, Chris Lamb, Holger Levsen & reviewed by a bunch of Reproducible Builds folks on IRC & the mailing lists.
