---
layout: blog
week: 189
published: 2018-12-11 16:01:20
---

Here's what happened in the [Reproducible Builds](https://reproducible-builds.org) effort between Sunday December 2 and Saturday December 8 2018:

* We are very much looking forward to the upcoming [Reproducible Builds summit in Paris](https://reproducible-builds.org/events/paris2018/) this week!

* [diffoscope](https://diffoscope.org/) is our in-depth "diff-on-steroids" utility which helps us diagnose reproducibility issues in packages. This week, [Chris Lamb](https://chris-lamb.co.uk/) implemented a request (via Debian bug [#901757](https://bugs.debian.org/901757)) from [Paul Wise](https://bonedaddy.net/pabs3/) to add the ability to compare ZIP file comments using the `zipnote` tool [[...](https://salsa.debian.org/reproducible-builds/diffoscope/commit/2869519)]. He then [uploaded it to Debian unstable](https://tracker.debian.org/news/1009550/accepted-diffoscope-107-source-all-into-unstable/) as version `107`.

* Bernhard M. Wiedemann posted to [our mailing list](https://lists.reproducible-builds.org/pipermail/rb-general/) providing a detailed update on the [status of reproducible builds with the RPM-based ecospace](https://lists.reproducible-builds.org/pipermail/rb-general/2018-December/001301.html). In addition, Juan Picca posted a query regarding [requesting a field in `.buildinfo` files](https://lists.reproducible-builds.org/pipermail/rb-general/2018-December/001304.html).

* [Muz](https://github.com/muz) recently gave a talk on reproducible builds talk from [The Long Con 2018](https://thelongcon.ca/speakers/#muz) in Winnipeg, Canada was published. ([YouTube](https://www.youtube.com/watch?v=pAiSbpzUmU0))

* [Chris Lamb](https://chris-lamb.co.uk/) updated `strip-nondeterminism` (our tool to post-process files to remove known non-deterministic output) to remove the `.ar` and `javaproperties` handlers due to updates from upstream. He then [uploaded it to Debian unstable](https://tracker.debian.org/news/1009519/accepted-strip-nondeterminism-100-1-source-all-into-unstable/) as version `1.0.0`, closing Debian bugs [#914289](https://bugs.debian.org/914289), [#781262](https://bugs.debian.org/781262) & [#843811](https://bugs.debian.org/843811).

* 20 Debian package reviews were added, 56 were updated and 27 were removed in this week, adding to [our knowledge about identified issues](https://tests.reproducible-builds.org/debian/index_issues.html). Chris Lamb added two new toolchain issue types: [`random_hashes_in_cython_output`](https://salsa.debian.org/reproducible-builds/reproducible-notes/commit/bde3fb6e) and [`build_date_in_manpage_generated_by_spf13_cobra`](https://salsa.debian.org/reproducible-builds/reproducible-notes/commit/d35806a7).

* [Holger Levsen](http://layer-acht.org/) updated our website project to add [Protocol Labs](https://protocol.ai/) as a sponsor at [our upcoming Paris Summit](https://reproducible-builds.org/events/paris2018/). [[...](https://salsa.debian.org/reproducible-builds/reproducible-website/commit/c971b1a)].

* Bernhard M. Wiedemann updated [theunreproduciblepackage](https://github.com/bmwiedemann/theunreproduciblepackage) to [simplify the pgo example](https://github.com/bmwiedemann/theunreproduciblepackage/commit/35e1af77f98dad839ce392c0cbaff8236e037672) and to [add a runmany target](https://github.com/bmwiedemann/theunreproduciblepackage/commit/f0e4ee4750491d6dead73d861716171948630aef) to make nondeterminism more visible.

Packages reviewed and fixed, and bugs filed
-------------------------------------------

* Andreas Henriksson:
    * [#915240](https://bugs.debian.org/915240) filed against [fence-agents](https://tracker.debian.org/pkg/fence-agents) ([`usrmerge`](https://wiki.debian.org/UsrMerge)).
    * [#915293](https://bugs.debian.org/915293) filed against [systraq](https://tracker.debian.org/pkg/systraq) (`usrmerge`).
    * [#915294](https://bugs.debian.org/915294) filed against [sptk](https://tracker.debian.org/pkg/sptk) (`usrmerge`).
    * [#915295](https://bugs.debian.org/915295) filed against [rp-pppoe](https://tracker.debian.org/pkg/rp-pppoe) (`usrmerge`)
    * [#915296](https://bugs.debian.org/915296) filed against [mpb](https://tracker.debian.org/pkg/mpb) (`usrmerge`).
    * [#915300](https://bugs.debian.org/915300) filed against [mailman](https://tracker.debian.org/pkg/mailman) (`usrmerge`).
    * [#915303](https://bugs.debian.org/915303) filed against [mailagent](https://tracker.debian.org/pkg/mailagent) (`usrmerge`).
    * [#915304](https://bugs.debian.org/915304) filed against [lmod](https://tracker.debian.org/pkg/lmod) (`usrmerge`).
    * [#915309](https://bugs.debian.org/915309) filed against [libktoblzcheck](https://tracker.debian.org/pkg/libktoblzcheck) (`usrmerge`).
    * [#915312](https://bugs.debian.org/915312) filed against [heartbeat](https://tracker.debian.org/pkg/heartbeat) (`usrmerge`).
    * [#915314](https://bugs.debian.org/915314) filed against [icecc](https://tracker.debian.org/pkg/icecc) (`usrmerge`).
    * [#915348](https://bugs.debian.org/915348) filed against [foomatic-db-engine](https://tracker.debian.org/pkg/foomatic-db-engine) (`usrmerge`).

* Ansgar Burchardt:
    * [#915423](https://bugs.debian.org/915423) filed against [xfce4-session](https://tracker.debian.org/pkg/xfce4-session) (`usrmerge`).

* Bernhard M. Wiedemann:
    * [hpx](https://build.opensuse.org/request/show/653867) (CPU detection, [also proposed upstream](https://github.com/STEllAR-GROUP/hpx/pull/3585))
    * [libqt5-qtwebengine](https://build.opensuse.org/request/show/655565) (date, FTBFS in 2038)
    * [python-botocore](https://github.com/boto/botocore/pull/1622) (FTBFS in 2020, merged)
    * [valgrind](https://build.opensuse.org/request/show/655464) ([GCC](https://gcc.gnu.org/)'s [link time optimization](https://gcc.gnu.org/onlinedocs/gccint/LTO-Overview.html) non-determinism)

* Chris Lamb:
    * [#915503](https://bugs.debian.org/915503) filed against [tracker](https://tracker.debian.org/pkg/tracker) (build path).



Test framework development
--------------------------

There were a number of updates to our [Jenkins](https://jenkins.io/)-based testing framework that powers [tests.reproducible-builds.org](https://tests.reproducible-builds.org/) this week, including:


* Chris Lamb:
    * Re-add support for calculating a [PureOS](https://www.pureos.net/) package set. ([MR: 115](https://salsa.debian.org/qa/jenkins.debian.net/merge_requests/15))
    * Support arbitrary package filters when generating `deb822` output. ([MR: 22](https://salsa.debian.org/qa/jenkins.debian.net/merge_requests/22))
    * Add missing `DBDJSON_PATH` import. ([MR: 21](https://salsa.debian.org/qa/jenkins.debian.net/merge_requests/21))
    * Correct [Tails](https://tails.boum.org/)' build manifest URL. ([MR: 20](https://salsa.debian.org/qa/jenkins.debian.net/merge_requests/20))

* Holger Levsen:
    * Ignore disk full false-positives building the [GNU C Library](https://www.gnu.org/software/libc/). [[...](https://salsa.debian.org/qa/jenkins.debian.net/commit/dcc5d7fe)]
    * Various node maintenance. (eg. [[...](https://salsa.debian.org/qa/jenkins.debian.net/commit/6d65ae64)], [[...](https://salsa.debian.org/qa/jenkins.debian.net/commit/47d20c9d)], etc.)
    * Exclusively use the database to track blacklisted packages in [Arch Linux](https://www.archlinux.org/). [[...](https://salsa.debian.org/qa/jenkins.debian.net/commit/fa0996b4)]


---

This week's edition was written by Bernhard M. Wiedemann, Chris Lamb, Muz & reviewed by a bunch of Reproducible Builds folks on IRC & the mailing lists.
