---
layout: blog
week: 192
published: 2019-01-01 19:44:41
---

Here's what happened in the [Reproducible Builds](https://reproducible-builds.org) effort between Sunday December 23 and Saturday December 29 2018:

* A full and in-depth report about [our recent summit](https://reproducible-builds.org/events/paris2018/) is under preparation but in the meantime the [Guix](https://www.gnu.org/software/guix/) project [published their own report on the event](https://www.gnu.org/software/guix/blog/2018/reproducible-builds-summit-4th-edition/).

* Rolf Neugebauer proposed an update to [LinuxKit](https://github.com/linuxkit/linuxkit) (a toolkit for building custom minimal, immutable Linux distributions) to [add initial support for reproducible builds](https://github.com/linuxkit/linuxkit/pull/3255).

* Bernhard posted the [monthly openSUSE reproducible builds update](https://lists.opensuse.org/opensuse-factory/2018-12/msg00171.html) to the [`opensuse-factory`](https://lists.opensuse.org/opensuse-factory) mailing list.

* Holger discussed reproducible builds for the [F-Droid](https://f-droid.org) (a catalogue of free-software applications for the Android platform) with the upstream developers at the [35C3](https://events.ccc.de/congress/2018/wiki/index.php/Main_Page) conference in Leipzig, Germany and participated at the [Arch Linux](https://www.archlinux.org/) meetup there as well.

* 9 Debian package reviews were added, 3 were updated and 9 were removed in this week, adding to [our knowledge about identified issues](https://tests.reproducible-builds.org/debian/index_issues.html). Two issue types were added by [Chris Lamb](https://chris-lamb.co.uk/): [`timestamps_embedded_in_manpages_by_scdoc`](https://salsa.debian.org/reproducible-builds/reproducible-notes/commit/be430acb) & [`randomness_in_intercal_files`](https://salsa.debian.org/reproducible-builds/reproducible-notes/commit/d07414e4).

* The [Open Build Service (OBS)](https://openbuildservice.org/), a system to build and distribute binary packages from sources in an automatic & consistent form. was found to [publish new binaries under old names](https://github.com/openSUSE/open-build-service/issues/6690) which was confusing some tools.

* On January 9th 2019, Chris Lamb will speak at [Université de Rennes](https://www.univ-rennes1.fr/), France on reproducible builds.

* Holger Levsen bumped the `Standards-Version` field in [all of our tools]({{ "/tools/" | relative_url }}) to `4.3.0`. [[...](https://salsa.debian.org/reproducible-builds/diffoscope/commit/2d236c7)][[...](https://salsa.debian.org/reproducible-builds/strip-nondeterminism/commit/57de24c)][[...](https://salsa.debian.org/reproducible-builds/disorderfs/commit/a12fdeb)][[...](https://salsa.debian.org/reproducible-builds/reprotest/commit/62cbe96)]

## Packages reviewed and fixed, and bugs filed

* [Bernhard M. Wiedemann](https://lizards.opensuse.org/author/bmwiedemann/):
    * [python-sh](https://bugzilla.opensuse.org/show_bug.cgi?id=1120329) (FTBFS-j1)
    * [perl](https://www.nntp.perl.org/group/perl.perl5.porters/2018/12/msg253240.html) ([ASLR](https://en.wikipedia.org/wiki/Address_space_layout_randomization))
    * [gengetopt](https://savannah.gnu.org/bugs/index.php?55311) (support [`SOURCE_DATE_EPOCH`]({{ "/docs/source-date-epoch/" | relative_url }}) in `mdate-sh`)
    * [xen](https://build.opensuse.org/request/show/661659) (fix a bug triggered by reproducible fix)
    * [opa-ff](https://build.opensuse.org/request/show/661771) (drop CPU-detection via `-march=native` [also filed upstream](https://github.com/intel/opa-ff/issues/20))

In addition, Mattia Rizzolo filed a build failure bug.

## [reproducible-builds.org](https://reproducible-builds.org) website development

[Chris Lamb](https://chris-lamb.co.uk/) made a huge number of updates to our [reproducible-builds.org](https://reproducible-builds.org) project website this week:

* Set a temporary logo for Christmas. [[...](https://salsa.debian.org/reproducible-builds/reproducible-website/commit/22fe562)][[...](https://salsa.debian.org/reproducible-builds/reproducible-website/commit/9e6c8ce)]

* Move [our homepage]({{ "/" | relative_url }}) to the new visual style. [[...](https://salsa.debian.org/reproducible-builds/reproducible-website/commit/5ad02fc)][[...](https://salsa.debian.org/reproducible-builds/reproducible-website/commit/508f896)]

* Split, tidy and expand footer. [[...](https://salsa.debian.org/reproducible-builds/reproducible-website/commit/06f6661)][[...](https://salsa.debian.org/reproducible-builds/reproducible-website/commit/9389df3)][[...](https://salsa.debian.org/reproducible-builds/reproducible-website/commit/dc886bc)] and link the main heading element of blog posts "back" to themselves [[...](https://salsa.debian.org/reproducible-builds/reproducible-website/commit/fb029d8)].

* Move the [tools]({{ "/tools/" | relative_url }}), [resources]({{ "/resources/" | relative_url }}) and [events]({{ "/events/" | relative_url }}) pages to new visual style. [[...](https://salsa.debian.org/reproducible-builds/reproducible-website/commit/16d3c1c)][[...](https://salsa.debian.org/reproducible-builds/reproducible-website/commit/795361e)][[...](https://salsa.debian.org/reproducible-builds/reproducible-website/commit/9bac78d)][[...](https://salsa.debian.org/reproducible-builds/reproducible-website/commit/be7fbb1)]

* Update the support mechanisms for the weekly reports, such as dropping the `migrate-blog-posts` script [[...](https://salsa.debian.org/reproducible-builds/reproducible-website/commit/ba59e91)] as well as fixing some title handling [[...](https://salsa.debian.org/reproducible-builds/reproducible-website/commit/cdb5e52)] [[...](https://salsa.debian.org/reproducible-builds/reproducible-website/commit/f20839d)].

* Improve a number of styles, such as blockquotes, linked headings should not have "link" styling, unpublished blog post drafts, etc. [[...](https://salsa.debian.org/reproducible-builds/reproducible-website/commit/9e32740)][[...](https://salsa.debian.org/reproducible-builds/reproducible-website/commit/04df071)][[...](https://salsa.debian.org/reproducible-builds/reproducible-website/commit/40ee55d)]

* Tidy and highlight the [display of our sponsors]({{ "/who/" | relative_url }}). [[...](https://salsa.debian.org/reproducible-builds/reproducible-website/commit/5e88fbf)][[...](https://salsa.debian.org/reproducible-builds/reproducible-website/commit/f1a528e)]

* Add the ablity to override the entire `<head>` title [[...](https://salsa.debian.org/reproducible-builds/reproducible-website/commit/e56d4a6)] and improve spacing etc. on mobile browsers [[...](https://salsa.debian.org/reproducible-builds/reproducible-website/commit/e8eaa4f)].

In addition, Arnout Engelen and Hervé Boutemy made an initial stab at documenting the JVM "buildinfo" format. [[...](https://salsa.debian.org/reproducible-builds/reproducible-website/commit/d3e7e62)][[...](https://salsa.debian.org/reproducible-builds/reproducible-website/commit/5c8c4a2)]


## Test framework development

There were a number of updates to our [Jenkins](https://jenkins.io/)-based testing framework that powers [tests.reproducible-builds.org](https://tests.reproducible-builds.org/) this week, including:

* Holger Levsen updated the [Coreboot](https://coreboot.org) support to point to the new [Git](https://git-scm.com/) repositories to new URI. [[...](https://salsa.debian.org/qa/jenkins.debian.net/commit/66ce4ec3)]

* Mattia Rizzolo updated the "wrong future" check for the 2019 (part of [our many build variations](https://tests.reproducible-builds.org/debian/index_variations.html)). [[...](https://salsa.debian.org/qa/jenkins.debian.net/commit/096ee89f)][[...](https://salsa.debian.org/qa/jenkins.debian.net/commit/6f5e46c2)] as well as a various bits of node maintenance. [[...](https://salsa.debian.org/qa/jenkins.debian.net/commit/ab161fda)][[...](https://salsa.debian.org/qa/jenkins.debian.net/commit/57709000)][[...](https://salsa.debian.org/qa/jenkins.debian.net/commit/d81bc570)]


---

This week's edition was written by Bernhard M. Wiedemann, Chris Lamb, Holger Levsen & reviewed by a bunch of Reproducible Builds folks on IRC & the mailing lists.
