---
layout: blog
week: 194
published: 2019-01-16 16:39:41
---

Here's what happened in the [Reproducible Builds](https://reproducible-builds.org) effort between Sunday January 6 and Saturday January 12 2019:

* Reproducibility patches for [GNU mtools](https://www.gnu.org/software/mtools/) finally entered the Debian *unstable* distribution via [Chris Lamb](https://chris-lamb.co.uk/)'s upload of the [mtools 4.0.23-1](https://tracker.debian.org/news/1020103/accepted-mtools-4023-1-source-amd64-into-unstable/) package via the ["salvaging"](https://www.debian.org/doc/manuals/developers-reference/ch05.en.html#package-salvaging). In light of this, Chris [rebased his merge request](https://salsa.debian.org/installer-team/debian-installer/merge_requests/3#note_59187) to make the [Debian Installer](https://www.debian.org/devel/debian-installer/) images reproducible, responded to some subsequent code review and re-opened the discussion on the [corresponding bug report](https://bugs.debian.org/900918#29).

* This week has seen lots of progress on [an initial implementation of `-fmacro-prefix-map` and `-ffile-prefix-map`](https://reviews.llvm.org/D49466) in the [LLVM](https://llvm.org/) compiler toolkit. This may make it into [Clang](https://clang.llvm.org/)'s 8.0 branch, to be created next week.

* Chris Lamb opened Debian bug [#918480](https://bugs.debian.org/918480), requesting that the [`squashfs-tools`](https://tracker.debian.org/pkg/squashfs-tools) package (which creates and manipulates read-only compressed file systems) moves to the [`squashfskit`](https://github.com/squashfskit/squashfskit) fork maintained by Alexander "*lynxis*" Couzens. However, it transpired that most of the changes required for the generation of reproducible `squashfs` filesystem images have been merged upstream modulo two patches that Chris rebased & backported and [were subsequently uploaded](https://tracker.debian.org/news/1018142/accepted-squashfs-tools-143-8-source-into-unstable/) in `squashfs-tools 1:4.3-8` by the Debian maintainer, Laszlo Boszormenyi.

* Arnout Engelen's thread on our [mailing list](https://lists.reproducible-builds.org/pipermail/rb-general/) regarding [how to share rebuilder "attestations"](https://lists.reproducible-builds.org/pipermail/rb-general/2019-January/001378.html) in the Java ecosystem is ongoing.

* On Wednesday 9th [Chris Lamb gave a talk](http://actux.eu.org/2019/01/conference-sur-les-builds-reproductibles-mercredi-9-janvier-2019/) at [Université de Rennes](https://www.univ-rennes1.fr/), France on reproducible builds. Thank you to Mathieu Goessens for organising this event.

* Holger Levsen [uploaded koji 1.16.0-3](https://tracker.debian.org/news/1019131/accepted-koji-1160-3-source-into-unstable/) to Debian *unstable* to add missing dependencies on `python-requests` and `python-dateutil`, fixing Debian bug [#918780](https://bugs.debian.org/918780).

* Igor Dvorzhak's [merge request](https://salsa.debian.org/reproducible-builds/strip-nondeterminism/merge_requests/3) against `strip-nondeterminism` (our tool that post-processes files to remove known non-deterministic output) in order to parallelise the execution of the `dh_strip_nondeterminism(1)` utility and `.zip` handler was reviewed and merged by Chris Lamb.

* Chris Lamb updated [diffoscope](https://diffoscope.org/) (our in-depth "diff-on-steroids" utility which helps us diagnose reproducibility issues in packages) to add a note to the "Files similar despite different names" comment to clarify that a lower score is more similar [[...](https://salsa.debian.org/reproducible-builds/diffoscope/commit/3a9cf0d)] and to prefer to emit a comment that files are "identical" rather than having a "fuzziness score of zero" [[...](https://salsa.debian.org/reproducible-builds/diffoscope/commit/9f30b4b)].

* 6 Debian package reviews were added, 9 were updated and 4 were removed in this week, adding to [our knowledge about identified issues](https://tests.reproducible-builds.org/debian/index_issues.html). Chris Lamb also added a new [`buildpath_in_binaries_generated_by_ada_compiler`](https://salsa.debian.org/reproducible-builds/reproducible-notes/commit/571a164d) toolchain issue and finally added note regarding [scdoc](https://drewdevault.com/2018/05/13/scdoc.html) [[...](https://salsa.debian.org/reproducible-builds/reproducible-notes/commit/1fd28f08)].

## Packages reviewed and fixed, and bugs filed

* [Bernhard M. Wiedemann](https://lizards.opensuse.org/author/bmwiedemann/):
    * [curl](https://github.com/curl/curl/pull/3443) (fix `FTBFS-2028`)
    * [erlang](https://bugzilla.opensuse.org/show_bug.cgi?id=1120947) (date & time)
    * [gasnet](https://build.opensuse.org/request/show/663288) (hostname, [rejected upstream](https://bitbucket.org/berkeleylab/gasnet/pull-requests/253/allow-to-not-store-build-date-user-and/diff))
    * [libqt5-qtbase](https://build.opensuse.org/request/show/663360) (finally use [`SOURCE_DATE_EPOCH`]({{ "/docs/source-date-epoch/" | relative_url }}), [already upstream](https://codereview.qt-project.org/243636))
    * [osmo-iuh](https://build.opensuse.org/request/show/663349) (time, user, [already upstream](https://gerrit.osmocom.org/#/c/osmo-iuh/+/9387))
    * [python-pysaml2](https://github.com/IdentityPython/pysaml2/pull/581) (`FTBFS-2020`)
    * [semi-xemacs](https://bugzilla.opensuse.org/show_bug.cgi?id=1120942) (possible race; to be dropped)

* Chris Lamb:
    * [#918533](https://bugs.debian.org/918533) filed against [gnucap-python](https://tracker.debian.org/pkg/gnucap-python) (use portable `printf` escapes)
    * [squashfskit](https://github.com/squashfskit/squashfskit/pull/2) (use `time(0)` instead of `time(-1)`)
    * [vit](https://github.com/scottkosty/vit/pull/161) (merged: `date --utc`) ([#918534](https://bugs.debian.org/918534))


## Website development

There were a number of updates to the [reproducible-builds.org](https://reproducible-builds.org) project website this week, including:

* Chris Lamb:
    * Add the [Paris summit event documentation]({{ "/events/paris2018/report/" | relative_url }}). [[...](https://salsa.debian.org/reproducible-builds/reproducible-website/commit/6ce3411)]
    * On large displays, don't use the entire width to display text. [[...](https://salsa.debian.org/reproducible-builds/reproducible-website/commit/6160ba0)]
    * Move the specific event pages under their respective directories in the source tree. [[...](https://salsa.debian.org/reproducible-builds/reproducible-website/commit/c85e096)]
* Holger Levsen:
    * Add a link to the [Arch Linux](https://www.archlinux.org/) developer wiki page. [[...](https://salsa.debian.org/reproducible-builds/reproducible-website/commit/4b35710)]
    * Add a link to HTML version of [Aspiration](https://aspirationtech.org/)'s report to the [Paris event page]({{ "/vents/paris2018/" | relative_url }}). [[...](https://salsa.debian.org/reproducible-builds/reproducible-website/commit/4aafd94)]


## Test framework development

There were a number of updates to our [Jenkins](https://jenkins.io/)-based testing framework that powers [tests.reproducible-builds.org](https://tests.reproducible-builds.org) this week, including:

* Holger Levsen:
    * [Arch Linux](https://www.archlinux.org/)-specific changes:
        * Use Debian's `sed`, `untar` and others with `sudo` as they are not available in the `bootstrap.tar.gz` file ([[...](https://salsa.debian.org/qa/jenkins.debian.net/commit/8db9c2da)], [[...](https://salsa.debian.org/qa/jenkins.debian.net/commit/7d26da99)], [[...](https://salsa.debian.org/qa/jenkins.debian.net/commit/05eae000)], [[...](https://salsa.debian.org/qa/jenkins.debian.net/commit/d925daa0)], etc.).
        * Fix incorrect `sudoers(5)` regex. [[...](https://salsa.debian.org/qa/jenkins.debian.net/commit/fe7da4e6)]
        * Only move old `schroot` away if it exists. [[...](https://salsa.debian.org/qa/jenkins.debian.net/commit/b0af8956)]
        * Add and drop debug code, cleanup cruft, exit on `cleanup()`, etc. ([[...](https://salsa.debian.org/qa/jenkins.debian.net/commit/d0fd4d07)], [[...](https://salsa.debian.org/qa/jenkins.debian.net/commit/b24eb8f5)])
        * `cleanup()` is only called on errors, thus exit 1. [[...](https://salsa.debian.org/qa/jenkins.debian.net/commit/6d3499ae)]
    * [Debian](https://www.debian.org/)-specific changes:
        * Revert "Support arbitrary package filters when generating `deb822` output" ([[...](https://salsa.debian.org/qa/jenkins.debian.net/commit/b5bb8c4f)]) and re-open the [corresponding merge request](https://salsa.debian.org/qa/jenkins.debian.net/merge_requests/22)
        * Show the total number of packages in a package set. [[...](https://salsa.debian.org/qa/jenkins.debian.net/commit/47654780)]
    * Misc/generic changes:
        * Node maintenance. ([[...](https://salsa.debian.org/qa/jenkins.debian.net/commit/0d605bdf), [[...](https://salsa.debian.org/qa/jenkins.debian.net/commit/53cbe7b3)], [[...](https://salsa.debian.org/qa/jenkins.debian.net/commit/f5837c0a)], etc.)
* Mattia Rizzolo:
    * Fix the `NODE_NAME` value in case it's not a full-qualified domain name. [[...](https://salsa.debian.org/qa/jenkins.debian.net/commit/e03630ea)]
    * Node maintenance. ([[...](https://salsa.debian.org/qa/jenkins.debian.net/commit/6db573c1)], etc.)
* Vagrant Cascadian:
    * [Reinstall failed disk in armhf node](https://bugs.debian.org/918651)
    * Node maintenance (disk issues, kernel issues/upgrades/downgrades, firmware upgrades, etc.)

---

This week's edition was written by [Bernhard M. Wiedemann](https://lizards.opensuse.org/author/bmwiedemann/), [Chris Lamb](https://chris-lamb.co.uk/), [Holger Levsen](http://layer-acht.org/thinking/) & reviewed by a bunch of Reproducible Builds folks on IRC & the mailing lists.
