---
layout: blog
week: 205
published: 2019-04-02 13:11:14
---

Here's what happened in the [Reproducible Builds](https://reproducible-builds.org) project between March 24th and March 30th 2019:

* On [our mailing list](https://lists.reproducible-builds.org/pipermail/rb-general/) this week, Vagrant Cascadian posted a [request for suggestions for Reproducible Builds-related ideas](https://lists.reproducible-builds.org/pipermail/rb-general/2019-March/001513.html) that students from [Portland State University](https://www.pdx.edu/) could work on.

* In addition, Holger Levsen made an announcement that [registration for a MiniDebConf in Hamburg](https://lists.reproducible-builds.org/pipermail/rb-general/2019-March/001511.html) during June 2019 is now open and will likely involve a number of people involved in Reproducible Builds, both from Debian and from other projects.

* Bernhard M. Wiedemann posted his [monthly reproducible builds update](https://lists.opensuse.org/opensuse-factory/2019-03/msg00362.html) for the [openSUSE](https://opensuse.org/) distribution.

* Reproducible builds were mentioned in the [2018 annual report](https://www.gov.uk/government/publications/huawei-cyber-security-evaluation-centre-oversight-board-annual-report-2018) from the Huawei Cyber Security Evaluation Centre Oversight Board, a report to the [National Security Adviser](https://en.wikipedia.org/wiki/National_Security_Adviser_(United_Kingdom)) of the United Kingdom.

* 17 reviews of Debian packages were added, 2 were updated and 10 were removed in this week, adding to [our knowledge about identified issues](https://tests.reproducible-builds.org/debian/index_issues.html).

* There were a number of updates to the [reproducible-builds.org project website](https://reproducible-builds.org), including Stefano Zacchiroli adding the Reproducible Builds Steering Committee to the [*Who is involved?*](https://reproducible-builds.org/who/) page &nbsp;[[...](https://salsa.debian.org/reproducible-builds/reproducible-website/commit/ade9a01)] and `jajajasalu2` dropping invalid links to the `trydiffoscope` and `reprotest` issue trackers&nbsp;[[...](https://salsa.debian.org/reproducible-builds/reproducible-website/commit/2a25dde)].

**Don't forget that Reproducible Builds is part of May/August 2019 round of [Outreachy](https://www.outreachy.org/) which offers paid internships to work on free software.** Internships are open to applicants around the world and are paid a stipend for the three month internship with an additional travel stipend to attend conferences. So far, we received more than ten initial requests from candidates and the closing date for applicants is **April 2nd**. More information is available [on the application page](https://www.outreachy.org/may-2019-august-2019-outreachy-internships/communities/debian/).


## Packages reviewed and fixed, and bugs filed

* Chris Lamb:
    * [#925575](https://bugs.debian.org/925575) filed against [tclxml](https://tracker.debian.org/pkg/tclxml).

* Bernhard M. Wiedemann:
    * mpich: [date/time](https://github.com/pmodels/mpich/pull/3686) and [filesystem ordering](https://github.com/pmodels/mpich/pull/3690) issues.
    * [cobbler](https://github.com/cobbler/cobbler/pull/2049) (date/time).
    * [llvm7/clang](https://build.opensuse.org/request/show/689452) (sort table to fix `gnustep-libobjc2`, [already upstream](https://reviews.llvm.org/rC339668)).
    * [meep](https://bugzilla.opensuse.org/show_bug.cgi?id=1130438) (FTBFS CPU).


## Test framework development

* We operate a comprehensive [Jenkins](https://jenkins.io/)-based testing framework that powers [tests.reproducible-builds.org](https://tests.reproducible-builds.org). The following changes were done this week:

    * Mattia Rizzolo built a static list of SSH host keys&nbsp;[[...](https://salsa.debian.org/qa/jenkins.debian.net/commit/5230852b)] so we could build the `ssh_config` file based on this file&nbsp;[[...](https://salsa.debian.org/qa/jenkins.debian.net/commit/eaff665a)], leading to being able to enable [OpenSSH](https://www.openssh.com/)'s `StrictHostKeyChecking` option&nbsp;[[...](https://salsa.debian.org/qa/jenkins.debian.net/commit/37bb8c04)][[...](https://salsa.debian.org/qa/jenkins.debian.net/commit/ea5f5d51)][[...](https://salsa.debian.org/qa/jenkins.debian.net/commit/3b074b5f)]. 
    * Holger Levsen added a number of links to pages, including [Guix](https://www.gnu.org/software/guix/)'s `challenge` command&nbsp;[[...](https://salsa.debian.org/qa/jenkins.debian.net/commit/8bc0af30)], the [F-Droid](https://f-droid.org/en/) tests&nbsp;[[...](https://salsa.debian.org/qa/jenkins.debian.net/commit/652b85a3)] as well as NixOS and openSUSE tests&nbsp;[[...](https://salsa.debian.org/qa/jenkins.debian.net/commit/ab15630e)].

---

This week's edition was written by Bernhard M. Wiedemann, Chris Lamb & Holger Levsen and was reviewed by a bunch of Reproducible Builds folks on IRC & the mailing lists.
