---
layout: blog
week: 52
published: 2016-04-26 15:04:54
---

What happened in the [Reproducible
Builds](https://wiki.debian.org/ReproducibleBuilds) effort between April 17th and April 23rd 2016:

Toolchain fixes
---------------

Thomas Weber uploaded [lcms2](https://tracker.debian.org/lcms2)/2.7-1 which will not write uninitialized memory when writing color names. [Original patch](https://bugs.debian.org/815248) by Lunar.

The GCC 7 development phase has just begun, so Dhole reworked his patch to make gcc use SOURCE_DATE_EPOCH if set [which prompted interesting feedback](https://gcc.gnu.org/ml/gcc-patches/2016-04/msg00838.html), but it has not been merged yet.

Alexis Bienvenüe [submitted a patch](https://bugs.debian.org/822197) for [sphinx](https://tracker.debian.org/sphinx) to strip Python object memory addresses from the generated documentation.

Packages fixed
--------------

The following packages have become reproducible due to changes in their
build dependencies:
[cobertura](https://tracker.debian.org/cobertura),
[commons-pool](https://tracker.debian.org/commons-pool),
[easymock](https://tracker.debian.org/easymock),
[eclipselink](https://tracker.debian.org/eclipselink),
[excalibur-logkit](https://tracker.debian.org/excalibur-logkit),
[gap-radiroot](https://tracker.debian.org/gap-radiroot),
[gluegen2](https://tracker.debian.org/gluegen2),
[jabref](https://tracker.debian.org/jabref),
[java3d](https://tracker.debian.org/java3d),
[jcifs](https://tracker.debian.org/jcifs),
[jline](https://tracker.debian.org/jline),
[jmock2](https://tracker.debian.org/jmock2),
[josql](https://tracker.debian.org/josql),
[jtharness](https://tracker.debian.org/jtharness),
[libfann](https://tracker.debian.org/libfann),
[libgroboutils-java](https://tracker.debian.org/libgroboutils-java),
[libjemmy2-java](https://tracker.debian.org/libjemmy2-java),
[libjgoodies-binding-java](https://tracker.debian.org/libjgoodies-binding-java),
[libjgrapht0.8-java](https://tracker.debian.org/libjgrapht0.8-java),
[libjtds-java](https://tracker.debian.org/libjtds-java),
[liboptions-java](https://tracker.debian.org/liboptions-java),
[libpal-java](https://tracker.debian.org/libpal-java),
[libzeus-jscl-java](https://tracker.debian.org/libzeus-jscl-java),
[node-transformers](https://tracker.debian.org/node-transformers),
[octave-msh](https://tracker.debian.org/octave-msh),
[octave-secs2d](https://tracker.debian.org/octave-secs2d),
[openmama](https://tracker.debian.org/openmama),
[rkward](https://tracker.debian.org/rkward).

The following packages have become reproducible after being fixed:

 * [auto-multiple-choice](https://tracker.debian.org/auto-multiple-choice)/1.3.0-1 by Alexis Bienvenüe.
 * [castle-game-engine](https://tracker.debian.org/castle-game-engine)/5.2.0-3 by Paul Gevers.
 * [gap-autpgrp](https://tracker.debian.org/gap-autpgrp)/1.5-2 by Bill Allombert.
 * [gap-grape](https://tracker.debian.org/gap-grape)/4r7+ds-2 by Jerome Benoit.
 * [letsencrypt.sh](https://tracker.debian.org/letsencrypt.sh)/0.1.0-2 by Mattia Rizzolo.
 * [libindicate](https://tracker.debian.org/libindicate)/0.6.92-3 by Adam Borowski.
 * [ltrsift](https://tracker.debian.org/ltrsift)/1.0.2-7 by Sascha Steinbiss.
 * [perl](https://tracker.debian.org/perl)/5.22.1-10 by Niko Tyni.
 * [php-pear](https://tracker.debian.org/php-pear)/1:1.10.1+submodules+notgz-7 by Mathieu Parent.
 * [python-pint](https://tracker.debian.org/python-pint)/0.7.2-2 by Ondřej Nový.
 * [spades](https://tracker.debian.org/spades)/3.7.1+dfsg-3 by Sascha Steinbiss.
 * [tex4ht](https://tracker.debian.org/tex4ht)/20090611-2 by Reiner Herrmann.

Patches submitted that have not made their way to the archive yet:

 * [#821356](https://bugs.debian.org/821356) against [emoslib](https://tracker.debian.org/emoslib) by boyska: use `echo` in a portable manner across shells.
 * [#822268](https://bugs.debian.org/822268) against [transdecoder](https://tracker.debian.org/transdecoder) by Dhole: set `PERL_HASH_SEED=0` when calling the scripts that generate samples.

tests.reproducible-builds.org
-----------------------------

 * Steven Chamberlain investigated the [performance of our armhf boards](https://lists.alioth.debian.org/pipermail/reproducible-builds/Week-of-Mon-20160418/005273.html) which also provided a nice overview of our armhf build network.
 * As [i386 has almost been completely tested](https://tests.reproducible-builds.org/testing/index_suite_i386_stats.html) the order of the architectures displayed has been changed to reflect the fact that [i386 is now the 2nd most popular architecture](http://popcon.debian.org/stat/submission.png) in Debian. (h01ger)
 * In order to decrease the number of blacklisted packages, the first build is now run with a timeout of 18h (previously: 12h) and the 2nd with 24h timeout (previously: 18h). (h01ger)
 * We now also vary the CPU model on amd64 (and soon on i386 too) so that one build is performed using a "AMD Opteron 62xx class CPU" while the other is done using a "Intel Core Processor (Haswell)". This is now possible as [proftitbricks.com](https://www.profitbricks.com/) offers VMs running both types of CPU and have generously increased their sponsorship once more. (h01ger)
 * Profitbricks increased our storage space by 400 GB which will be used to setup a 2nd build node for the coreboot/OpenWrt/NetBSD/Arch Linux/Fedora tests. This 2nd build node will run 398 days in the future for testing reproducibility on a different date.

diffoscope development
----------------------

[diffoscope 52 was released](https://lists.debian.org/debian-devel-changes/2016/04/msg02076.html) with changes from Mattia Rizzolo, h01ger, Satyam Zode and Reiner Herrmann, who also did the release. Notable changes included:

 * Drop transitional debbindiff package.
 * Let objdump demangle symbols for better readability.
 * Install bin/diffoscope instead of auto-generated script. (Closes: [#821777](https://bugs.debian.org/821777))

As usual, diffoscope 52 is available on Debian, Archlinux and PyPI, other distributions will hopefully soon update.

Package reviews
---------------

28 [reviews](https://reproducible.debian.net/unstable/amd64/index_notes.html) have been added, 11 have been updated and 94 have been removed in this week.

14 FTBFS bugs were reported by Chris Lamb (one being was a duplicate of a bug filed by Sebastian Ramacher an hour earlier).

Misc.
-----

This week's edition was written by Lunar, Holger 'h01ger' Levsen and Chris Lamb and reviewed by a bunch of Reproducible builds folks on IRC.
