---
layout: blog
week: 56
published: 2016-05-22 21:05:43
---

What happened in the [Reproducible
Builds](https://wiki.debian.org/ReproducibleBuilds) effort between May 15th and May 21st 2016:

Media coverage
--------------

Blog posts from our GSoC and Outreachy contributors:

 * Val's first post describing [her plans for improving tests.reproducible-builds.org](http://www.spectranaut.cc/?p=1).
 * ceridwen's first post describing [her plans for reprotest](https://reproducible.alioth.debian.org/blog/posts/people/ceridwen/first/), the universal reproducibility testing tool.
 * Scarlett's and Satyam's first posts were linked in [previous week's report](https://reproducible.alioth.debian.org/blog/posts/54/) already.

Documentation update
--------------------

Ximin Luo [clarified instructions](https://wiki.debian.org/ReproducibleBuilds/TimestampsProposal#Setting_the_variable) on how to set `SOURCE_DATE_EPOCH`.

Toolchain fixes
---------------

 * Joao Eriberto Mota Filho uploaded [txt2man](https://tracker.debian.org/pkg/txt2man)/1.5.6-4, which honours `SOURCE_DATE_EPOCH` to generate reproducible manpages ([#790801](https://bugs.debian.org/790801) by Reiner Herrmann).
 * Dmitry Shachnev uploaded [sphinx](https://tracker.debian.org/pkg/sphinx)/1.4.1-1 to experimental with improved support for `SOURCE_DATE_EPOCH` ([#820895](https://bugs.debian.org/820895) by Alexis Bienvenüe).
 * Emmanuel Bourg submitted a [patch](https://bugs.debian.org/824490) against debhelper to use a fixed username while building ant packages.

Other upstream fixes
--------------------

 * Doxygen merged a [patch by Ximin Luo](https://github.com/doxygen/doxygen/pull/477), which uses UTC as timezone for embedded timestamps.
 * CMake applied a [patch by Reiner Herrmann](https://cmake.org/gitweb?p=cmake.git;a=commitdiff;h=edcccde7) in their `next` branch, which sorts file lists obtained with `file(GLOB)`.
 * GNU tar 1.29 with support for `--clamp-mtime` [has been released](https://savannah.gnu.org/forum/forum.php?forum_id=8545) upstream, closing [#816072](https://bugs.debian.org/816072), which was the blocker for [#759886](https://bugs.debian.org/759886) "dpkg-dev: please make mtimes of packaged files deterministic" which we now hope will be closed soon.

Packages fixed
--------------


The following 18 packages have become reproducible due to changes in their
build dependencies:
[abiword](https://tracker.debian.org/pkg/abiword)
[angband](https://tracker.debian.org/pkg/angband)
[apt-listbugs](https://tracker.debian.org/pkg/apt-listbugs)
[asn1c](https://tracker.debian.org/pkg/asn1c)
[bacula-doc](https://tracker.debian.org/pkg/bacula-doc)
[bittornado](https://tracker.debian.org/pkg/bittornado)
[cdbackup](https://tracker.debian.org/pkg/cdbackup)
[fenix](https://tracker.debian.org/pkg/fenix)
[gap-autpgrp](https://tracker.debian.org/pkg/gap-autpgrp)
[gerbv](https://tracker.debian.org/pkg/gerbv)
[jboss-logging-tools](https://tracker.debian.org/pkg/jboss-logging-tools)
[invokebinder](https://tracker.debian.org/pkg/invokebinder)
[modplugtools](https://tracker.debian.org/pkg/modplugtools)
[objenesis](https://tracker.debian.org/pkg/objenesis)
[pmw](https://tracker.debian.org/pkg/pmw)
[r-cran-rniftilib](https://tracker.debian.org/pkg/r-cran-rniftilib)
[x-loader](https://tracker.debian.org/pkg/x-loader)
[zsnes](https://tracker.debian.org/pkg/zsnes)

The following packages have become reproducible after being fixed:

 * [ball](https://tracker.debian.org/pkg/ball)/1.4.3~beta1-1 by Andreas Tille.
 * [chrony](https://tracker.debian.org/pkg/chrony)/2.3-1 by Vincent Blut, [#820226](https://bugs.debian.org/820226) by Alexis Bienvenüe.
 * [corosync](https://tracker.debian.org/pkg/corosync)/2.3.5-7 by Ferenc Wágner.
 * [gap-ctbllib](https://tracker.debian.org/pkg/gap-ctbllib)/1r2p2.dfsg.0-3 by Bill Allombert, [#824569](https://bugs.debian.org/824569) by Alexis Bienvenüe.
 * [kdiff3](https://tracker.debian.org/pkg/kdiff3)/0.9.98-3 by Eike Sauer.
 * [netcdf-cxx](https://tracker.debian.org/pkg/netcdf-cxx)/4.3.0+ds-3 by Bas Couwenberg.
 * [netcdf-fortran](https://tracker.debian.org/pkg/netcdf-fortran)/4.4.4+ds-2 by Bas Couwenberg.
 * [primesieve](https://tracker.debian.org/pkg/primesieve)/5.6.0+ds-2 by Jerome Benoit.
 * [ray](https://tracker.debian.org/pkg/ray)/2.3.1-4 by Sascha Steinbiss.
 * [rocksdb](https://tracker.debian.org/pkg/rocksdb)/4.5.1-1 by Laszlo Boszormenyi, [#814214](https://bugs.debian.org/814214) by Chris Lamb.
 * [shapelib](https://tracker.debian.org/pkg/shapelib)/1.3.0-8 by Bas Couwenberg.
 * [swift](https://tracker.debian.org/pkg/swift)/2.7.0-3 by Ondřej Nový.
 * [t-coffee](https://tracker.debian.org/pkg/t-coffee)/11.00.8cbe486-3 by Sascha Steinbiss.
 * [webkit2pdf](https://tracker.debian.org/pkg/webkit2pdf)/0.3-2 by Ricardo Mones, [#786633](https://bugs.debian.org/786633) by Reiner Herrmann.
 * [wise](https://tracker.debian.org/pkg/wise)/2.4.1-18 by Sascha Steinbiss.

Some uploads have fixed some reproducibility issues, but not all of them:

 * [bzr](https://tracker.debian.org/pkg/bzr)/2.7.0-6 by Jelmer Vernooĳ.
 * [libsdl2](https://tracker.debian.org/pkg/libsdl2)/2.0.4+dfsg2-1 by Manuel A. Fernandez Montecelo.
 * [pvm](https://tracker.debian.org/pkg/pvm)/3.4.5-13 by James Clarke.
 * [refpolicy](https://tracker.debian.org/pkg/refpolicy)/2:2.20140421-11 by Laurent Bigonville.
 * [subvertpy](https://tracker.debian.org/pkg/subvertpy)/0.9.3-4 by Jelmer Vernooĳ.

Patches submitted that have not made their way to the archive yet:

 * [#824413](https://bugs.debian.org/824413) against [binutils](https://tracker.debian.org/pkg/binutils) by Chris Lamb: filter build user and date from test log case-insensitively
 * [#824452](https://bugs.debian.org/824452) against [python-certbot](https://tracker.debian.org/pkg/python-certbot) by Chris Lamb: prevent PID from being embedded into documentation (forwarded upstream)
 * [#824453](https://bugs.debian.org/824453) against [gtk-gnutella](https://tracker.debian.org/pkg/gtk-gnutella) by Chris Lamb: use `SOURCE_DATE_EPOCH` for deterministic timestamp (merged upstream)
 * [#824454](https://bugs.debian.org/824454) against [python-latexcodec](https://tracker.debian.org/pkg/python-latexcodec) by Chris Lamb: fix for parsing the changelog date
 * [#824472](https://bugs.debian.org/824472) against [torch3](https://tracker.debian.org/pkg/torch3) by Alexis Bienvenüe: sort object files while linking
 * [#824501](https://bugs.debian.org/824501) against [cclive](https://tracker.debian.org/pkg/cclive) by Alexis Bienvenüe: use `SOURCE_DATE_EPOCH` as embedded build date
 * [#824567](https://bugs.debian.org/824567) against [tkdesk](https://tracker.debian.org/pkg/tkdesk) by Alexis Bienvenüe: sort order of files which are parsed by mkindex script
 * [#824592](https://bugs.debian.org/824592) against [twitter-bootstrap](https://tracker.debian.org/pkg/twitter-bootstrap) by Alexis Bienvenüe: use shell-independent printing
 * [#824639](https://bugs.debian.org/824639) against [openblas](https://tracker.debian.org/pkg/openblas) by Alexis Bienvenüe: sort object files while linking
 * [#824653](https://bugs.debian.org/824653) against [elkcode](https://tracker.debian.org/pkg/elkcode) by Alexis Bienvenüe: sort list of files locale-independently
 * [#824668](https://bugs.debian.org/824668) against [gmt](https://tracker.debian.org/pkg/gmt) by Alexis Bienvenüe: use `SOURCE_DATE_EPOCH` for embedded timestamp (similar patch by Bas Couwenberg already applied and forwarded upstream)
 * [#824808](https://bugs.debian.org/824808) against [gdal](https://tracker.debian.org/pkg/gdal) by Alexis Bienvenüe: sort object files while linking
 * [#824951](https://bugs.debian.org/824951) against [libtomcrypt](https://tracker.debian.org/pkg/libtomcrypt) by Reiner Herrmann: use `SOURCE_DATE_EPOCH` for timestamp embedded into metadata

Reproducibility-related bugs filed:

 * [#824420](https://bugs.debian.org/824420) against [python-phply](https://tracker.debian.org/pkg/python-phply) by ceridwen: parsetab.py file is not included when building with `DEB_BUILD_OPTIONS="nocheck"`
 * [#824572](https://bugs.debian.org/824572) against [dpkg-dev](https://tracker.debian.org/pkg/dpkg-dev) by XImin Luo: request to export `SOURCE_DATE_EPOCH` in /usr/share/dpkg/*.mk.

Package reviews
---------------

51 reviews have been added, 19 have been updated and 15 have been removed in this week.

 * Two new issues have been found:
   * [random_order_in_static_library_by_icmake](https://tests.reproducible-builds.org/issues/unstable/random_order_in_static_library_by_icmake_issue.html)
   * [timestamps_in_manpages_generated_by_latex2man](https://tests.reproducible-builds.org/issues/unstable/timestamps_in_manpages_generated_by_latex2man_issue.html)

22 FTBFS bugs have been reported by Chris Lamb, Santiago Vila, Niko Tyni and Daniel Schepler.

tests.reproducible-builds.org
-----------------------

  * Icons have been added to the [package test history pages](https://tests.reproducible-builds.org/rb-pkg/unstable/amd64/mosh.html) (h01ger).
  * Test [performance](https://tests.reproducible-builds.org/index_performance.html) and [variation](https://tests.reproducible-builds.org/index_variations.html) pages have been split out of the [dashboard view](https://tests.reproducible-builds.org/index_dashboard.html) (h01ger).
  * A [new pkg set](https://tests.reproducible-builds.org/unstable/amd64/pkg_set_maint_debian-med.html) has been added: packages maintained by [debian-med-packaging@l.a.d.o](https://qa.debian.org/developer.php?email=debian-med-packaging%40lists.alioth.debian.org) (h01ger).
  * The *preliminary* results for testing have improved further:
    * testing/amd64 has 20944 / *90.2%* reproducible packages now,
    * testing/i386 has reached 20013 / 86.3% reproducible packages,
    * testing/armhf has come close with 19951 / 86.0%.

Misc.
-----

- During the discussion on debian-devel about PIE, an archive rebuild [was suggested](https://lists.debian.org/debian-devel/2016/05/msg00228.html) by Bálint Réczey, and Holger Levsen [suggested to coordinate](https://lists.debian.org/debian-devel/2016/05/msg00234.html) this with a required archive rebuild for reproducible builds.
- Ximin Luo improved [misc.git/reports](https://salsa.debian.org/reproducible-builds/misc.git/tree/reports) (=the tools to help writing the weekly statistics for this blog) quite a bit, h01ger contributed a little too.


This week's edition was written by Reiner Herrmann and Holger Levsen and reviewed by a bunch of Reproducible builds folks on IRC.
