---
layout: blog
week: 71
published: 2016-09-07 08:09:34
---

What happened in the [Reproducible
Builds](https://wiki.debian.org/ReproducibleBuilds) effort between Sunday
August 28 and Saturday September 3 2016:

Media coverage
--------------

Antonio Terceiro blogged about [testing build reprodubility with debrepro
](http://softwarelivre.org/terceiro/blog/testing-build-reprodubility-with-debrepro).


GSoC and Outreachy updates
--------------------------

The next round is being planned now: see their
[page](https://wiki.gnome.org/Outreachy/2016/DecemberMarch) with a timeline and
participating organizations listing.

Maybe *you* want to participate this time? Then please reach out to us as soon
as possible!


Packages reviewed and fixed, and bugs filed
-------------------------------------------

The following packages have addressed reproducibility issues in other packages:

 * [ruby-ronn](https://tracker.debian.org/pkg/ruby-ronn)/0.7.3-5 by Antonio Terceiro, [#829362](https://bugs.debian.org/829362) by Chris Lamb.

The following updated packages have become reproducible in our current test
setup after being fixed:

 * [check-all-the-things](https://tracker.debian.org/pkg/check-all-the-things)/2016.09.03 by Paul Wise, [#829297](https://bugs.debian.org/829297) by Chris Lamb.
 * [e2fsprogs](https://tracker.debian.org/pkg/e2fsprogs)/1.43.2-2 by Theodore Y. Ts'o.
 * [gnupg1](https://tracker.debian.org/pkg/gnupg1)/1.4.21-1 by Daniel Kahn Gillmor, [#834755](https://bugs.debian.org/834755) by Chris Lamb.
 * [gnupg2](https://tracker.debian.org/pkg/gnupg2)/2.1.15-2 by Daniel Kahn Gillmor.
 * [inform6-compiler](https://tracker.debian.org/pkg/inform6-compiler)/6.33-2 by Ben Finney.
 * [libhat-trie](https://tracker.debian.org/pkg/libhat-trie)/0.0~git25f9e946-2 by Sascha Steinbiss.
 * [mrd6](https://tracker.debian.org/pkg/mrd6)/0.9.6-13 by Thomas Preud'homme, [#829765](https://bugs.debian.org/829765) by Reiner Herrmann.
 * [safecat](https://tracker.debian.org/pkg/safecat)/1.13-3 by Teemu Hukkanen, [#829720](https://bugs.debian.org/829720) by Reiner Herrmann.
 * [shibboleth-sp2](https://tracker.debian.org/pkg/shibboleth-sp2)/2.6.0+dfsg1-1 by Ferenc Wágner.
 * [sweethome3d-furniture-editor](https://tracker.debian.org/pkg/sweethome3d-furniture-editor)/1.15-2 by Markus Koschany, [#776873](https://bugs.debian.org/776873) by Reiner Herrmann.
 * [traceroute](https://tracker.debian.org/pkg/traceroute)/1:2.1.0-2 by Laszlo Boszormenyi, [#826431](https://bugs.debian.org/826431) by Reiner Herrmann.
 * [wise](https://tracker.debian.org/pkg/wise)/2.4.1-19 by Sascha Steinbiss.
 * [xmltooling](https://tracker.debian.org/pkg/xmltooling)/1.6.0-2 by Ferenc Wágner.

The following updated packages appear to be reproducible now, for reasons we
were not able to figure out yet. (Relevant changelogs did not mention reproducible
builds.)

 * [comitup](https://tracker.debian.org/pkg/comitup)/0.5-1 by David Steele.
 * [dita-ot](https://tracker.debian.org/pkg/dita-ot)/1.5.3-2 by Mathieu Malaterre.
 * [dput](https://tracker.debian.org/pkg/dput)/0.10.2 by Ben Finney.
 * [gnome-settings-daemon](https://tracker.debian.org/pkg/gnome-settings-daemon)/3.21.90-2 by Michael Biebl.
 * [libkf5kipi](https://tracker.debian.org/pkg/libkf5kipi)/4:16.08.0-1 by Pino Toscano.
 * [libmpc](https://tracker.debian.org/pkg/libmpc)/2:0.1~r475-2 by James Cowgill.
 * [taurus](https://tracker.debian.org/pkg/taurus)/4.0.1+dfsg-1 by Picca Frédéric-Emmanuel.
 * [tcpwatch-httpproxy](https://tracker.debian.org/pkg/tcpwatch-httpproxy)/1.3.1-2 by Toni Mueller.

The following 4 packages were not changed, but have become reproducible due
to changes in their build-dependencies:

 * [djangorestframework](https://tracker.debian.org/pkg/djangorestframework)
 * [roarplaylistd](https://tracker.debian.org/pkg/roarplaylistd)
 * [zope-maildrophost](https://tracker.debian.org/pkg/zope-maildrophost)
 * [zope-replacesupport](https://tracker.debian.org/pkg/zope-replacesupport)

Some uploads have addressed some reproducibility issues, but not all of them:

 * [amanda](https://tracker.debian.org/pkg/amanda)/1:3.3.9-1 by Jose M Calhariz.
 * [dispcalgui](https://tracker.debian.org/pkg/dispcalgui)/3.1.6.0-2 by Christian Marillat, [#835371](https://bugs.debian.org/835371) by Chris Lamb.
 * [fastqtl](https://tracker.debian.org/pkg/fastqtl)/2.184+dfsg-4 by Dylan Aïssi.
 * [grass](https://tracker.debian.org/pkg/grass)/7.0.5~rc1-1~exp1 by Bas Couwenberg.
 * [kdevplatform](https://tracker.debian.org/pkg/kdevplatform)/5.0-1 by Pino Toscano, [#815962](https://bugs.debian.org/815962) by Scarlett Clark.
 * [leveldb](https://tracker.debian.org/pkg/leveldb)/1.19-1 by Alessio Treglia.
 * [libdevel-cover-perl](https://tracker.debian.org/pkg/libdevel-cover-perl)/1.23-2 by gregor herrmann, [#835871](https://bugs.debian.org/835871) by Chris Lamb.
 * [linux](https://tracker.debian.org/pkg/linux)/4.7.2-1 by Ben Hutchings, [#830268](https://bugs.debian.org/830268) by Reiner Herrmann.
 * [lmms](https://tracker.debian.org/pkg/lmms)/1.1.3-4 by Javier Serrano.
 * [mayavi2](https://tracker.debian.org/pkg/mayavi2)/4.4.3-2.2 by Anton Gladky.
 * [opensaml2](https://tracker.debian.org/pkg/opensaml2)/2.6.0-2 by Ferenc Wágner.
 * [perl](https://tracker.debian.org/pkg/perl)/5.22.2-4 by Dominic Hargreaves, [#834190](https://bugs.debian.org/834190) and [#835815](https://bugs.debian.org/835815) by Chris Lamb.
 * [radare2](https://tracker.debian.org/pkg/radare2)/0.10.5+dfsg-1 by Sebastian Reichel, [#835262](https://bugs.debian.org/835262) by Chris Lamb.
 * [splint](https://tracker.debian.org/pkg/splint)/3.1.2.dfsg1-3 by Raphaël Hertzog, [#797254](https://bugs.debian.org/797254) by Chris Lamb.

Patches submitted that have not made their way to the archive yet:

* [#835673](https://bugs.debian.org/835673) filed against [dacs](https://tracker.debian.org/pkg/dacs) by Chris Lamb.
* [#835805](https://bugs.debian.org/835805) filed against [dh-python](https://tracker.debian.org/pkg/dh-python) by Chris Lamb.
* [#835985](https://bugs.debian.org/835985) filed against [nmh](https://tracker.debian.org/pkg/nmh) by Chris Lamb.
* [#836609](https://bugs.debian.org/836609) filed against [nostalgy](https://tracker.debian.org/pkg/nostalgy) by Chris Lamb.
* [#835807](https://bugs.debian.org/835807) filed against [pygtksourceview](https://tracker.debian.org/pkg/pygtksourceview) by Chris Lamb.
* [#836004](https://bugs.debian.org/836004) filed against [python-gflags](https://tracker.debian.org/pkg/python-gflags) by Chris Lamb.
* [#835816](https://bugs.debian.org/835816) filed against [rt-extension-customfieldsonupdate](https://tracker.debian.org/pkg/rt-extension-customfieldsonupdate) by Chris Lamb.
* [#835834](https://bugs.debian.org/835834) filed against [ruby-compass](https://tracker.debian.org/pkg/ruby-compass) by Chris Lamb.
* [#836605](https://bugs.debian.org/836605) filed against [torque](https://tracker.debian.org/pkg/torque) by Chris Lamb.
* [#833176](https://bugs.debian.org/833176) filed against [trafficserver](https://tracker.debian.org/pkg/trafficserver) by Reiner Herrmann.

Reviews of unreproducible packages
----------------------------------

706 package reviews have been added, 22 have been updated and 16 have been removed in this week,
adding to our knowledge about [identified issues](https://tests.reproducible-builds.org/debian/index_issues.html).

5 issue types have been [added](https://salsa.debian.org/reproducible-builds/notes.git/log/issues.yml?id=551316e73c5c632df22662c3935919a39b2935fd):

- [timestamps_in_documentation_generated_by_ocamldoc](https://tests.reproducible-builds.org/debian/issues/timestamps_in_documentation_generated_by_ocamldoc_issue.html)
- [timestamp_in_enc_files_added_by_texlive_fontinst](https://tests.reproducible-builds.org/debian/issues/timestamp_in_enc_files_added_by_texlive_fontinst_issue.html)
- [cython_captures_build_path](https://tests.reproducible-builds.org/debian/issues/cython_captures_build_path_issue.html)
- [timestamps_in_perllocal_pod_manpages_generated_by_perl_extutils_mm_unix](https://tests.reproducible-builds.org/debian/issues/timestamps_in_perllocal_pod_manpages_generated_by_perl_extutils_mm_unix_issue.html)
- [uname_output_in_python_debugging_symbols_caused_by_sysconfig_getplatform](https://tests.reproducible-builds.org/debian/issues/uname_output_in_python_debugging_symbols_caused_by_sysconfig_getplatform_issue.html)

1 issue type has been updated:

- [timestamp_in_enc_files_added_by_texlive_fontinst](https://tests.reproducible-builds.org/debian/issues/timestamp_in_enc_files_added_by_texlive_fontinst_issue.html)

Weekly QA work
--------------

FTBFS bugs have been reported by:

 - Chris Lamb (8)
 - Lucas Nussbaum (3)


diffoscope development
----------------------

diffoscope development on the next version (`60`) continued in
[git](https://salsa.debian.org/reproducible-builds/diffoscope.git/log/), taking
in contributions from:

- Mattia Rizzolo:
  - Better and more thorough testing
  - Improvements to packaging
  - Improvements to the ppu comparator


strip-nondeterminism development
--------------------------------

Mattia Rizzolo uploaded [strip-nondeterminism](https://tracker.debian.org/pkg/strip-nondeterminism) `0.023-2~bpo8+1` to
jessie-backports.

A new version of strip-nondeterminism `0.024-1` was uploaded to unstable by
Chris Lamb. It included
[contributions](https://salsa.debian.org/reproducible-builds/strip-nondeterminism/commits/debian/0.024-1)
from:

- Chris Lamb:
  - Improve code quality of zip, jar, ar, png processors
- AYANOKOUZI, Ryuunosuke:
  - Preserve file attribute information of target file ([#836075](https://bugs.debian.org/836075))

Holger added jobs on jenkins.debian.net to run testsuites on every commit.
There is one job for [the master
branch](https://jenkins.debian.net/job/reproducible_strip-nondeterminism_from_git_master)
and one for [the other
branches](https://jenkins.debian.net/job/reproducible_strip-nondeterminism_from_git_branches).


disorderfs development
----------------------

Holger added jobs on jenkins.debian.net to run testsuites on every commit.
There is one job for [the master
branch](https://jenkins.debian.net/job/reproducible_disorderfs_from_git_master)
and one for [the other
branches](https://jenkins.debian.net/job/reproducible_disorderfs_from_git_branches).


tests.reproducible-builds.org
-----------------------

Debian: We now
[vary](https://tests.reproducible-builds.org/debian/index_variations.html) the
GECOS records of the two build users. Thanks to Paul Wise for providing the
patch.


Misc.
-----

This week's edition was written by Ximin Luo, Holger Levsen & Chris Lamb and reviewed by a bunch of Reproducible Builds folks on IRC.
