---
layout: blog
week: 72
published: 2016-09-12 07:09:38
---

What happened in the [Reproducible
Builds](https://wiki.debian.org/ReproducibleBuilds) effort between Sunday September 4 and Saturday September 10 2016:


Reproducible work in other projects
-----------------------------------

Python 3.6's dictonary type [now retains the insertion order](https://mail.python.org/pipermail/python-dev/2016-September/146327.html). Thanks to themill for the report.

In [coreboot](https://coreboot.org/), Alexander Couzens committed a change to [make their release archives reproducible](https://review.coreboot.org/#/c/16556/).

Patches submitted
-----------------

* [#836609](https://bugs.debian.org/836609) filed against [nostalgy](https://tracker.debian.org/pkg/nostalgy) by Chris Lamb.
* [#836605](https://bugs.debian.org/836605) filed against [torque](https://tracker.debian.org/pkg/torque) by Chris Lamb.
* [#836968](https://bugs.debian.org/836968) filed against [erlang-p1-oauth2](https://tracker.debian.org/pkg/erlang-p1-oauth2) by Chris Lamb.
* [#836970](https://bugs.debian.org/836970) filed against [erlang-p1-sqlite3](https://tracker.debian.org/pkg/erlang-p1-sqlite3) by Chris Lamb.
* [#836817](https://bugs.debian.org/836817) filed against [tj3](https://tracker.debian.org/pkg/tj3) by Chris Lamb.
* [#836969](https://bugs.debian.org/836969) filed against [erlang-p1-xmlrpc](https://tracker.debian.org/pkg/erlang-p1-xmlrpc) by Chris Lamb.

Reviews of unreproducible packages
----------------------------------

We've been adding to our knowledge about [identified issues](https://tests.reproducible-builds.org/debian/index_issues.html). 3 issue types have been added:

- [random\_id\_in\_pdf\_generated\_by\_dblatex](https://salsa.debian.org/reproducible-builds/reproducible-notes/commit/8c55528)
- [captures\_execution\_time](https://salsa.debian.org/reproducible-builds/reproducible-notes/commit/51fa0db)
- [captures\_home\_dir](https://salsa.debian.org/reproducible-builds/reproducible-notes/commit/f047647)

1 issue type has been updated:

- [Expand comment for random\_id\_in\_pdf\_generated\_by\_dblatex](https://salsa.debian.org/reproducible-builds/reproducible-notes/commit/e1b6096)

16 have been have updated:

- [Add patch for nostalgy](https://salsa.debian.org/reproducible-builds/reproducible-notes/commit/5f022d4)
- [Add patch for torque](https://salsa.debian.org/reproducible-builds/reproducible-notes/commit/8cf63fd)
- [Expand comment for babl.](https://salsa.debian.org/reproducible-builds/reproducible-notes/commit/b251b66)
- [Tag pbuilder with random\_id\_in\_pdf\_generated\_by\_dblatex](https://salsa.debian.org/reproducible-builds/reproducible-notes/commit/8faf6ab)
- [Tag uclibc with users\_and\_groups\_in\_tarball](https://salsa.debian.org/reproducible-builds/reproducible-notes/commit/f96b930)
- [Tag realmd with different\_encoding\_in\_html\_by\_docbook\_xsl](https://salsa.debian.org/reproducible-builds/reproducible-notes/commit/f671e0a)
- [Tag mrmpi with timestamps\_in\_documentation\_generated\_by\_htmldoc](https://salsa.debian.org/reproducible-builds/reproducible-notes/commit/ee2f4b5)
- [Tag dynare with leaks\_path\_environment\_variable](https://salsa.debian.org/reproducible-builds/reproducible-notes/commit/e500d0e)
- [Tag sdlgfx with timestamps\_in\_tarball](https://salsa.debian.org/reproducible-builds/reproducible-notes/commit/e4373c9)
- [Tag pantomime1.2 with plist\_weirdness](https://salsa.debian.org/reproducible-builds/reproducible-notes/commit/f2c9f41)
- [Tag blockattack with different\_due\_to\_umask](https://salsa.debian.org/reproducible-builds/reproducible-notes/commit/08c6d38)
- [Tag expeyes with different\_pot\_creation\_date\_in\_gettext\_mo\_files](https://salsa.debian.org/reproducible-builds/reproducible-notes/commit/d38ec62)
- [Tag android-platform-frameworks-data-binding with random\_ordering\_in\_pom](https://salsa.debian.org/reproducible-builds/reproducible-notes/commit/65e4b9e)
- [Tag krunner with users\_and\_groups\_in\_tarball](https://salsa.debian.org/reproducible-builds/reproducible-notes/commit/be739b5)
- [Tag libevocosm with leaks\_path\_environment\_variable](https://salsa.debian.org/reproducible-builds/reproducible-notes/commit/78c8d56)
- [Tag gdbm with random\_order\_in\_md5sums](https://salsa.debian.org/reproducible-builds/reproducible-notes/commit/b2ec64c)

13 have been removed, not including removed packages:

- [htp fixed in/since 1.19-2](https://salsa.debian.org/reproducible-builds/reproducible-notes/commit/e5ee188)
- [Remove openni-sensor-pointclouds and openni-sensor-primesense; fixed by \_\_DATE\_\_ & \_\_TIME\_\_](https://salsa.debian.org/reproducible-builds/reproducible-notes/commit/9eb1e0c)
- [hsqldb fixed in/since 2.3.3+dfsg2-1](https://salsa.debian.org/reproducible-builds/reproducible-notes/commit/a110dfa)
- [linux-tools RM](https://salsa.debian.org/reproducible-builds/reproducible-notes/commit/59def95)
- [ksnapshot RM](https://salsa.debian.org/reproducible-builds/reproducible-notes/commit/a8eeb3b)
- [cobalt-panel-utils RM](https://salsa.debian.org/reproducible-builds/reproducible-notes/commit/1e34efc)
- [strigi RM](https://salsa.debian.org/reproducible-builds/reproducible-notes/commit/45b511c)
- [libkdeedu RM](https://salsa.debian.org/reproducible-builds/reproducible-notes/commit/249949e)
- [erc RM](https://salsa.debian.org/reproducible-builds/reproducible-notes/commit/74c1823)
- [ttf-atarismall RM](https://salsa.debian.org/reproducible-builds/reproducible-notes/commit/7e5bed2)
- [gnupg-doc RM](https://salsa.debian.org/reproducible-builds/reproducible-notes/commit/bea22ab)
- [remove RMed django-localflavor](https://salsa.debian.org/reproducible-builds/reproducible-notes/commit/6a29e33)
- [easymp3gain RM](https://salsa.debian.org/reproducible-builds/reproducible-notes/commit/cc5de6f)

100s of packages have been tagged with the more generic captures\_build\_path, and many with captures\_kernel\_version, user\_hostname\_manually\_added\_requiring\_further\_investigation, user\_hostname\_manually\_added\_requiring\_further\_investigation, captures\_shell\_variable\_in\_autofoo\_script, etc.

Particular thanks to Emanuel Bronshtein for his work here.


Weekly QA work
--------------

FTBFS bugs have been reported by:

 - Aaron M. Ucko (1)
 - Chris Lamb (7)


diffoscope development
----------------------

- Mattia Rizzolo:
  - [Force LC\_ALL=C.UTF-8 in basic-command-list autopkgtest so that diffoscope can always output something](https://salsa.debian.org/reproducible-builds/diffoscope/commit/7e0cba0)
- Ximin Luo:
  - [html-dir: use 4 * the given max-diff-block-lines](https://salsa.debian.org/reproducible-builds/diffoscope/commit/8a4729c)
  - [difference: Don't truncate diff output by default, and use a separate flag when doing so](https://salsa.debian.org/reproducible-builds/diffoscope/commit/35d48f9)
  - [html-dir: In html-dir output, split large diffs across several child pages](https://salsa.debian.org/reproducible-builds/diffoscope/commit/9d80421)
  - [Rename no-max-limits to no-default-limits, a more accurate name](https://salsa.debian.org/reproducible-builds/diffoscope/commit/a12ded4)
  - [Increase default max\_diff\_input\_lines, should be OK based on what we've seen](https://salsa.debian.org/reproducible-builds/diffoscope/commit/83593ea)
  - [Fix behaviour for max-diff-block-limit=1 and don't report when 0 lines are removed](https://salsa.debian.org/reproducible-builds/diffoscope/commit/9cb0b94)
  - [Set limits to inf when parsing args, instead of checking for "> 0" everywhere](https://salsa.debian.org/reproducible-builds/diffoscope/commit/b43a3a5)
  - [Suppress decimal line numbers for xxd output](https://salsa.debian.org/reproducible-builds/diffoscope/commit/341be07)


strip-nondeterminism development
--------------------------------

- Chris Lamb:
  - [handlers/jar.pm: Reintroduce subroutine prototype on \_jar\_filename\_cmp to fix ordering regression in .jar files.](https://salsa.debian.org/reproducible-builds/strip-nondeterminism.git/commit/?id=7ad7a41)
  - [bin/strip-nondeterminism: die if file does not exist (Closes: #800159)](https://salsa.debian.org/reproducible-builds/strip-nondeterminism.git/commit/?id=5a2c35d)
  - [t/fixtures/jar/*: Add a testcase for jar file ordering and normalisation.](https://salsa.debian.org/reproducible-builds/strip-nondeterminism.git/commit/?id=ead819d)
  - t/fixtures.t:
      - [Check that output matches expected before comparing attributes to make it less confusing on failure.](https://salsa.debian.org/reproducible-builds/strip-nondeterminism.git/commit/?id=a321000)
      - [Don't test whether inode number has changed either.](https://salsa.debian.org/reproducible-builds/strip-nondeterminism.git/commit/?id=dd1f601)
      - [Add a lookup table for descriptions of stat(1) indices.](https://salsa.debian.org/reproducible-builds/strip-nondeterminism.git/commit/?id=76d5520)
      - [Re-order @fixtures setup for global->specific ordering.](https://salsa.debian.org/reproducible-builds/strip-nondeterminism.git/commit/?id=d64ace5)
      - [Re-add top-level "plan" call dropped in previous commit.](https://salsa.debian.org/reproducible-builds/strip-nondeterminism.git/commit/?id=8f0b1a9)
      - [Align size check with atime, etc.](https://salsa.debian.org/reproducible-builds/strip-nondeterminism.git/commit/?id=49475ed)
      - [Make it clearer that we are checking for attributes](https://salsa.debian.org/reproducible-builds/strip-nondeterminism.git/commit/?id=dfd3244)
      - [Add comment why we use a per-fixture temporary directory.](https://salsa.debian.org/reproducible-builds/strip-nondeterminism.git/commit/?id=e4c264c)
  - [Drop all calls to unlink\_on\_destroy now that we copy the file. (Closes: #836670)](https://salsa.debian.org/reproducible-builds/strip-nondeterminism.git/commit/?id=d05d82b)
  - [Extend testsuite to ensure no extra files are leftover again.](https://salsa.debian.org/reproducible-builds/strip-nondeterminism.git/commit/?id=9f96609)


tests.reproducible-builds.org:
------------------------------

- F-Droid:
  - Hans-Christoph Steiner found after extensive debugging that for kvm-on-kvm, vagrant from stretch is needed (or a backport, but that seems harder than setting up a new VM).
- FreeBSD:
  - Holger updated the VM for testing FreeBSD to FreeBSD 10.3.

Misc.
-----

This week's edition was written by Chris Lamb and Holger Levsen and reviewed by a bunch of Reproducible Builds folks on IRC.
