---
layout: blog
week: 73
published: 2016-09-20 12:09:10
---

What happened in the [Reproducible
Builds](https://wiki.debian.org/ReproducibleBuilds) effort between Sunday
September 11 and Saturday September 17 2016:


Toolchain developments
----------------------

Ximin Luo started a new series of tools called (for now)
[debrepatch](https://salsa.debian.org/reproducible-builds/debrepatch.git/), to
make it easier to automate checks that our old patches to Debian packages still
apply to newer versions of those packages, and still make these reproducible.

Ximin Luo updated one of our few remaining patches for dpkg in [#787980](https://bugs.debian.org/787980)
to make it cleaner and more minimal.

The following tools were fixed to produce reproducible output:

 * [naturaldocs](https://tracker.debian.org/pkg/naturaldocs)/1.51-2 by Petter Reinholdtsen, [#831377](https://bugs.debian.org/831377) by Chris Lamb.


Packages reviewed and fixed, and bugs filed
-------------------------------------------

The following updated packages have become reproducible - in our current test
setup - after being fixed:

 * [elog](https://tracker.debian.org/pkg/elog)/3.1.2-1-1 by Roger Kalt, [#816209](https://bugs.debian.org/816209) by Reiner Herrmann.
 * [eyed3](https://tracker.debian.org/pkg/eyed3)/0.6.18-3 by Petter Reinholdtsen, [#834983](https://bugs.debian.org/834983) by Chris Lamb.
 * [frog](https://tracker.debian.org/pkg/frog)/0.13.5-1 by Maarten van Gompel, [#828017](https://bugs.debian.org/828017) by Chris Lamb.
 * [gtranslator](https://tracker.debian.org/pkg/gtranslator)/2.91.7-3 by Andreas Henriksson, [#783022](https://bugs.debian.org/783022) by Reiner Herrmann.
 * [sozi](https://tracker.debian.org/pkg/sozi)/12.05-1.1 by Daniel Kahn Gillmor, [#776255](https://bugs.debian.org/776255) by Chris Lamb.

The following updated packages appear to be reproducible now, for reasons we
were not able to figure out. (Relevant changelogs did not mention reproducible
builds.)

 * [evince](https://tracker.debian.org/pkg/evince)/3.21.92-1 by Michael Biebl.
 * [gnome-control-center](https://tracker.debian.org/pkg/gnome-control-center)/1:3.21.92-2 by Raphaël Hertzog.
 * [libipathverbs](https://tracker.debian.org/pkg/libipathverbs)/1.3-2 by Ana Beatriz Guerrero Lopez.
 * [pagekite](https://tracker.debian.org/pkg/pagekite)/0.5.8e-2 by Petter Reinholdtsen.

The following 3 packages were not changed, but have become reproducible due to
changes in their build-dependencies: [jaxrs-api](https://tracker.debian.org/pkg/jaxrs-api) [python-lua](https://tracker.debian.org/pkg/python-lua)
[zope-mysqlda](https://tracker.debian.org/pkg/zope-mysqlda).

Some uploads have addressed some reproducibility issues, but not all of them:

 * [eurephia](https://tracker.debian.org/pkg/eurephia)/1.1.0-6 by Alberto Gonzalez Iniesta, [#831353](https://bugs.debian.org/831353) by Chris Lamb.
 * [fdroidserver](https://tracker.debian.org/pkg/fdroidserver)/0.7.0-1 by Hans-Christoph Steiner, [#835463](https://bugs.debian.org/835463) by Chris Lamb.
 * [mini-buildd](https://tracker.debian.org/pkg/mini-buildd)/1.0.18 by Stephan Sürken.
 * [nbc](https://tracker.debian.org/pkg/nbc)/1.2.1.r4+dfsg-3 by Petter Reinholdtsen, [#831376](https://bugs.debian.org/831376) by Chris Lamb.
 * [ncurses](https://tracker.debian.org/pkg/ncurses)/6.0+20160910-1 by Sven Joachim, [#818067](https://bugs.debian.org/818067) by Niels Thykier.
 * [python-kinterbasdb](https://tracker.debian.org/pkg/python-kinterbasdb)/3.3.0-4 by Santiago Vila, [#831065](https://bugs.debian.org/831065) by Chris Lamb.
 * [snapper](https://tracker.debian.org/pkg/snapper)/0.3.3-1 Hideki Yamane, [#818027](https://bugs.debian.org/818027) by Sascha Steinbiss.

Patches submitted that have not made their way to the archive yet:

 * [#838188](https://bugs.debian.org/838188) filed against [ocaml](https://tracker.debian.org/pkg/ocaml) by Johannes Schauer.


Reviews of unreproducible packages
----------------------------------

462 package reviews have been added, 524 have been updated and 166 have been removed in this week,
adding to our knowledge about [identified issues](https://tests.reproducible-builds.org/debian/index_issues.html).

25 issue types have been updated:

- Added a new annotation for issues called "fix-deterministic" to help us
  update package reviews more easily. This indicates whether we expect that an
  issue would always happen on Jenkins; i.e. if there is a successful build,
  then we know the issue is fixed for that package and can update our notes.
- Added [random_order_in_sisu_javax_inject_named](https://tests.reproducible-builds.org/issues/unstable/random_order_in_sisu_javax_inject_named_issue.html) and
  [too_much_input_for_diff](https://tests.reproducible-builds.org/issues/unstable/too_much_input_for_diff_issue.html).
- Removed [timestamps_in_manpages_generated_by_ronn](https://tests.reproducible-builds.org/issues/unstable/timestamps_in_manpages_generated_by_ronn_issue.html).
- Updated [timestamps_in_allegro_dat_files](https://tests.reproducible-builds.org/issues/unstable/timestamps_in_allegro_dat_files_issue.html). Additionally, 21 issues
  were marked with "fix-deterministic".


Weekly QA work
--------------

FTBFS bugs have been reported by:

 - Chris Lamb (10)
 - Filip Pytloun (1)
 - Santiago Vila (1)


diffoscope development
----------------------


A new version of diffoscope `60` was
[uploaded](http://changelogs.debian.net/diffoscope#60)  to unstable by Mattia
Rizzolo. It included
[contributions](https://salsa.debian.org/reproducible-builds/diffoscope/commits/60)
from:

- Mattia Rizzolo:
  - Various packaging and testing improvements.
- HW42:
  - minor wording fixes
- Reiner Herrmann:
  - minor wording fixes

It also included from changes previous weeks; see either the changes or commits
linked above, or previous blog posts [72](../72) [71](../71) [70](../70).


strip-nondeterminism development
--------------------------------


New versions of strip-nondeterminism `0.027-1` and `0.028-1` were uploaded to
unstable by Chris Lamb. It included
[contributions](https://salsa.debian.org/reproducible-builds/strip-nondeterminism/commits/debian/0.028-1)
from:

- Chris Lamb:
  - Testing improvements, including better handling of timezones.


disorderfs development
----------------------


A new version of disorderfs `0.5.1` was
[uploaded](http://changelogs.debian.net/disorderfs#0.5.1) to unstable by Chris
Lamb. It included
[contributions](https://salsa.debian.org/reproducible-builds/disorderfs/commits/0.5.1)
from:

- Andrew Ayer and Chris Lamb:
  - Support relative paths for ROOTDIR; it no longer needs to be an absolute path.
- Chris Lamb:
  - Print the behaviour (shuffle/reverse/sort) on startup to stdout.

It also included from changes previous weeks; see either the changes or commits
linked above, or previous blog posts [70](../70).


Misc.
-----

This week's edition was written by Ximin Luo and reviewed by a bunch of
Reproducible Builds folks on IRC.
