---
layout: blog
week: 96
published: 2017-02-28 20:02:01
---

Here's what happened in the [Reproducible Builds](https://reproducible-builds.org) effort between Sunday February 19 and Saturday February 25 2017:

Reproducible work in other projects
-----------------------------------

- Christos Zaulas wrote a blog post entitled "[NetBSD fully reproducible builds](http://blog.netbsd.org/tnf/entry/netbsd_fully_reproducible_builds)" which [generated some discussion on Hacker News](https://news.ycombinator.com/item?id=13690703) and [was mentioned on DistroWatch](https://distrowatch.com/dwres.php?resource=showheadline&story=2763).

- Christos [also reported that](http://lists.alioth.debian.org/pipermail/reproducible-builds/Week-of-Mon-20170220/008430.html) that NetBSD's base system is now [100.0% reproducible in our current test framework](https://tests.reproducible-builds.org/netbsd/). Whilst we do less variations than in Debian here, this is highly commendable.

- Microsoft requires [reproducible binaries](https://docs.google.com/document/d/1gHFkhMmn6VVvVQim5YcjJ8uc3xf1JHQnA9f8KSE6qqY/edit#heading=h.iz26ni5m72y3) for signing shim code for secure boot.

- Thanks to Ed Maste, FreeBSD base system reached 99.6% too, after he'd seen the news about NetBSD. This too has been achieved using non-default settings and is to be considered merely as a "hey we can do that too" (though Ed is slightly sad they missed 100%). The real plan is still to achieve 100% reproducibility *with* default settings.

Upcoming Events
---------------

[Introduction to Reproducible
Builds](https://www.socallinuxexpo.org/scale/15x/presentations/introduction-reproducible-builds)
will be presented by Vagrant Cascadian at Scale15x in Pasadena, California,
March 5th.

On March 23rd Holger Levsen will give a talk at the [German Unix User Group's "Frühjahrsfachgespräch"](http://www.guug.de/veranstaltungen/ffg2017/) about [Reproducible Builds everywhere](http://www.guug.de/adm/ffg-pk/abstracts.html#4_5_2).

Verifying Software Freedom with Reproducible Builds will be presented
by Vagrant Cascadian at
[Libreplanet2017](https://www.libreplanet.org/2017/) in Boston, March
25th-26th.

Packages reviewed and fixed, and bugs filed
-------------------------------------------

Chris Lamb:

* [#855674](https://bugs.debian.org/855674) filed against [sugar-physics-activity](https://tracker.debian.org/pkg/sugar-physics-activity).
* [#855909](https://bugs.debian.org/855909) filed against [publicsuffix](https://tracker.debian.org/pkg/publicsuffix).


Reviews of unreproducible packages
----------------------------------

9 package reviews have been added, 3 have been updated and 1 has been removed in this week,
adding to our knowledge about [identified issues](https://tests.reproducible-builds.org/debian/index_issues.html).


Weekly QA work
--------------

During our reproducibility testing, the following FTBFS bugs have been detected and
reported by:

 - Chris Lamb (4)

diffoscope development
----------------------

[diffoscope](https://diffoscope.org/) is our in-depth and content-aware diff
utility that can locate and diagnose reproducibility issues.

* diffoscope 77 was unblocked by the release team for stretch.
* Mattia Rizzolo uploaded 77~bpo8+1 to jessie-backports.


buildinfo.debian.net development
--------------------------------

[buildinfo.debian.net](buildinfo.debian.net) is our experiment into how to
process, store and distribute `.buildinfo` files after the Debian archive
software has processed them.


- Chris Lamb:
  - [Drop orphaned binary package instances.](https://salsa.debian.org/reproducible-builds/buildinfo.debian.net.git/commit/?id=ca6dc2d)
  - [Install to /usr/share with dh-virtualenv 1.0](https://salsa.debian.org/reproducible-builds/buildinfo.debian.net.git/commit/?id=148d69a)
  - [Drop Installed-Build-Depends to recover diskspace.](https://salsa.debian.org/reproducible-builds/buildinfo.debian.net.git/commit/?id=d556a09)


Website development
-------------------


- Holger Levsen:
  - [Add link to https://blog.netbsd.org/tnf/entry/netbsd\_fully\_reproducible\_builds](https://salsa.debian.org/reproducible-builds/reproducible-website/commit/ce320d1)

tests.reproducible-builds.org
-----------------------------

- Ed Maste made the upcoming FreeBSD release almost 100% reproducible (see above).
- Holger Levsen added the number of configured and running builder jobs to the performance stats page.
- Holger Levsen improved the scheduler, so that untested packages and versions are tried sooner.
- Holger added logging for submitting `.buildinfo` files to `buildinfo.debian.net and added notification about this failure.
- Holger also made some minor improvements to the generated HTML.


Misc.
-----

This week's edition was written by Chris Lamb, Ed Maste & Levsen and reviewed by a bunch of Reproducible Builds folks on IRC & the mailing lists.
