---
layout: event_detail
title: Agenda
event: berlin2017
order: 10
permalink: /events/berlin2017/agenda/
---

Day 1
-----

*Tuesday, October 31*


*   09:45 Opening session – The Summit started with participant introductions, a welcome message from the event co-organizers, and an overview of the meeting agenda.
*   10:10 [Sharing knowledge about reproducible builds]({{ "/events/berlin2017/sharingknowledge/" | relative_url }})
*   11:00 Break
*   11:15 [Agenda brainstorming]({{ "/events/berlin2017/agendabrainstorming/" | relative_url }})
*   12:45 Lunch
*   13:45 Working sessions I
    * [Reviewing existing reproducible builds tools]({{ "/events/berlin2017/existingtools/" | relative_url }}) – Chris
    * [Discussing the current status of .buildinfo files]({{ "/events/berlin2017/statusbuildinfofiles/" | relative_url }}) – Mattia
    * [What is the ecosystem around rpm?]({{ "/events/berlin2017/ecosystemrpm/" | relative_url }}) – Bernhard
    * [End user tools - Which exist, which are still needed]({{ "/events/berlin2017/usertools/" | relative_url }}) – dkg
*   15:05 Break
*   15:25 Working sessions II
    * [How to fix the current issues with BUILD_PATH_PREFIX_MAP]({{ "/events/berlin2017/buildpathprefixmap/" | relative_url }}) – Ximin
    * [How bootstrapping relates to reproducible builds and how to improve it]({{ "/events/berlin2017/bootstrapping/" | relative_url }}) – Ricardo
    * What documentation is still to be created for developers who are new to reproducible builds? – Holger
*   16.45 Closing plenary – The meeting day ended with an invitation to all participants to share their goals and wishes for the following days, and words of gratitude for a productive start of the Summit.
*   17:00 Adjourn


Day 2
-----

*November 1, 2017*


*   09:45 Opening session – The second day of the Summit opened with a summary of the work done during the previous day, and a brief overview of the plan for the day ahead.
*   09:55 Working Sessions III (Session notes start on page 36)
    * Improving reproducible builds in Java – Gábor
    * Bootstrapping: Mapping the problem space – Ricardo
    * Best practices and open issues in regards to engaging upstreams – Chris
    * How can policies help the end user to define what they want in terms of reproducibility? – dkg
*   11:30 Break
*   12:00 Skill share sessions (No notes taken in these sessions)
    * How to rebuild a specific .deb from its .buildinfo
    * How to do everything* in Emacs (<nowiki>*conditions apply</nowiki>)
    * Ask Me Anything coreboot
    * Binwalk arbitrary firmware images
    * How/why not reproducible tar format is
    * How to build NetBSD
    * How to use reprotest
    * How to autoclassify nondeterminism
    * How to snapshot Debian to build reproducible system images
    * AMA F-Droid
    * How to integrate with Travis CI
*   12:30 Lunch
*   13:30 Working sessions IV (Session notes start on page 49)
    * Mapping out archive formats – Eric
    * Building a system image from existing binaries – intrigeri
    * How to preserve software integrity in different legal contexts? – dkg
    * Marketing: Why is it valuable to support the reproducible builds work and who is our audience? – Beatrice
*   14.45 Break
*   15:00 Closing plenary – The day was brought to a close with the invitation to share proposals for the next day's working sessions, and the invitation to use the meeting space to hack together during the rest of the afternoon.
*   15:20 Adjourn
*   15:20 – 17:30 Hack time

Day 3
-----

*November 2, 2017*


*   09:45 Opening session – The final day of the Summit opened with the encouragement to focus the last day of the meeting on drafting action plans to be carried out during the following weeks and months.
*   10:05 Working sessions V (Session notes start on page 58)
    * Defining terminology: reproducible, bootstrap<span style="background-color:transparent;">pable, reliable – Timothy</span>
    * SOURCE_DATE_EPOCH specification: Overview and improvements needed – Ximin
    * Setting up build environments for reproducibility – Marcus
    * What is needed to run rebuilders? – dkg
*   11:05 Break
*   11:20 Working sessions VI (Session notes start on page 71)
    * Mapping out our short- and long-term goals – Holger
    * How to onboard new contributors – Mattia
    * Identifying next actionable steps for marketing outreach – Beatrice
    * Funding reproducible builds work – Elisa, Chris
*   12:40 Lunch
*   13:40 Working sessions VII (Session notes start on page 84)
    * Enabling cross-distro reproducibility – Janneke
    * Exploring reproducibility for Mac and Windows – Nicolas
    * What does code-signing means in terms of reproducibility? – Chris, dkg
    * Prioritizing the minimum viable set of tools needed for end users – Ricardo, intrigeri
    * Discussing current status and potential improvements in regards to .buildinfo files for rpm and iso – Marek
    * Brainstorming the reproducible builds logo design – Holger, Brennan
*   15:30 Closing plenary – The Summit ended with notes of appreciation for everyone who participated in the meeting and contributed to its success.
*   16:00 Adjourn
*   16:00 – 17:30 Hack time
